Public Class ElMa2DDraw1

    Private Sub ElMa2DDraw1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If KmouseDset = 0 Then
            KmouseDset = 2
        End If
        Select Case KindField
            Case 0
                RadioButton2.Text = "電位固定・非固定節点"
                RadioButton3.Text = "電束固定"
                RadioButton4.Text = "節点電荷"
            Case 1
                RadioButton2.Text = "磁位固定・非固定節点"
                RadioButton3.Text = "磁束固定"
                RadioButton4.Enabled = False
                RadioButton4.Visible = False
                KmouseDset = 2
            Case 2
                RadioButton2.Text = "Ａ固定・非固定節点"
                RadioButton3.Text = "流束固定"
                RadioButton4.Text = "節点電流"
            Case 3
                RadioButton2.Text = "Ａ固定・非固定節点"
                RadioButton3.Enabled = False
                RadioButton3.Visible = False
                RadioButton4.Enabled = False
                RadioButton4.Visible = False
                KmouseDset = 2
        End Select
        Select Case KmouseDset
            Case 1
                RadioButton1.Checked = True
            Case 2
                RadioButton2.Checked = True
            Case 3
                RadioButton3.Checked = True
            Case 4
                RadioButton4.Checked = True
        End Select

        KmouseDchange = 0

    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim aa$
        Dim ic, ie, k1, k2, nb As Integer
        If RadioButton1.Checked = True Then
            KmouseDset = 1
        ElseIf RadioButton2.Checked = True Then
            KmouseDset = 2
        ElseIf RadioButton3.Checked = True Then
            KmouseDset = 3
        Else
            KmouseDset = 4
        End If

        ic = 0
        If KDrawDatMod > 0 Then
            k1 = KE1 : k2 = KE2
            Select Case KmouseDset
                Case 1
                    Call ElemSearch2(k1, k2)    '対象要素の探索
                    If k1 < 1 Then
                        For ie = 1 To Nelem
                            KdrawElem(ie) = KdrawElemOld(ie)
                        Next ie
                        aa$ = "要素が入っていません！"
                        MsgBox(aa$, 0, "操作エラー")
                        ic = 1
                    End If
                Case 3
                    Call ElemSearch3(k1, k2, nb)    '対象辺の探索
                    If nb = 0 Then
                        aa$ = "外周辺が入っていません！"
                        MsgBox(aa$, 0, "操作エラー")
                        ic = 1
                    End If
                Case Else
                    Call PointSearch(nb)    '対象節点の探索
                    If nb = 0 Then
                        aa$ = "節点が入っていません！"
                        MsgBox(aa$, 0, "操作エラー")
                        ic = 1
                    End If
            End Select
        End If

        If ic = 0 Then
            Dim frm As Form = New ElMa2DDraw2()    'ﾃﾞｰﾀ入力画面
            frm.Show()
        End If

        Me.Close()

    End Sub

    Private Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click
        Me.Close()

    End Sub

End Class