'FEM計算の実行ﾌﾟﾛｸﾞﾗﾑ（ｽｶｲﾗｲﾝ法）
Imports System.Drawing

Public Class ElMa2DCal3
    Inherits System.Windows.Forms.Form

#Region " Windows フォーム デザイナで生成されたコード "

    Public Sub New()
        MyBase.New()

        ' この呼び出しは Windows フォーム デザイナで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後に初期化を追加します。

    End Sub

    ' Form は dispose をオーバーライドしてコンポーネント一覧を消去します。
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    ' Windows フォーム デザイナで必要です。
    Private components As System.ComponentModel.IContainer

    ' メモ : 以下のプロシージャは、Windows フォーム デザイナで必要です。
    ' Windows フォーム デザイナを使って変更してください。  
    ' コード エディタは使用しないでください。
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents Label2 As System.Windows.Forms.Label
    Friend WithEvents Label3 As System.Windows.Forms.Label
    Friend WithEvents PictureBox1 As System.Windows.Forms.PictureBox
    Friend WithEvents PictureBox2 As System.Windows.Forms.PictureBox
    Friend WithEvents ProgressBar1 As System.Windows.Forms.ProgressBar
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.Label1 = New System.Windows.Forms.Label()
        Me.Label2 = New System.Windows.Forms.Label()
        Me.Label3 = New System.Windows.Forms.Label()
        Me.PictureBox1 = New System.Windows.Forms.PictureBox()
        Me.PictureBox2 = New System.Windows.Forms.PictureBox()
        Me.ProgressBar1 = New System.Windows.Forms.ProgressBar()
        Me.SuspendLayout()
        '
        'Label1
        '
        Me.Label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.Label1.Location = New System.Drawing.Point(160, 8)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(160, 24)
        Me.Label1.TabIndex = 0
        Me.Label1.Text = "電磁界計算の実行"
        Me.Label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'Label2
        '
        Me.Label2.Location = New System.Drawing.Point(24, 56)
        Me.Label2.Name = "Label2"
        Me.Label2.Size = New System.Drawing.Size(256, 16)
        Me.Label2.TabIndex = 1
        Me.Label2.Text = "Label2"
        '
        'Label3
        '
        Me.Label3.Location = New System.Drawing.Point(40, 96)
        Me.Label3.Name = "Label3"
        Me.Label3.Size = New System.Drawing.Size(280, 16)
        Me.Label3.TabIndex = 2
        Me.Label3.Text = "Label3"
        '
        'PictureBox1
        '
        Me.PictureBox1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.PictureBox1.Location = New System.Drawing.Point(144, 192)
        Me.PictureBox1.Name = "PictureBox1"
        Me.PictureBox1.Size = New System.Drawing.Size(136, 24)
        Me.PictureBox1.TabIndex = 3
        Me.PictureBox1.TabStop = False
        '
        'PictureBox2
        '
        Me.PictureBox2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.PictureBox2.Location = New System.Drawing.Point(144, 136)
        Me.PictureBox2.Name = "PictureBox2"
        Me.PictureBox2.Size = New System.Drawing.Size(224, 24)
        Me.PictureBox2.TabIndex = 4
        Me.PictureBox2.TabStop = False
        '
        'ProgressBar1
        '
        Me.ProgressBar1.Location = New System.Drawing.Point(48, 248)
        Me.ProgressBar1.Name = "ProgressBar1"
        Me.ProgressBar1.Size = New System.Drawing.Size(400, 24)
        Me.ProgressBar1.TabIndex = 5
        '
        'ElMa2DCal3
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
        Me.BackColor = System.Drawing.SystemColors.ControlLightLight
        Me.ClientSize = New System.Drawing.Size(496, 302)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.ProgressBar1, Me.PictureBox2, Me.PictureBox1, Me.Label3, Me.Label2, Me.Label1})
        Me.Name = "ElMa2DCal3"
        Me.Text = "Elma2DCal3"
        Me.ResumeLayout(False)

    End Sub

#End Region

    Dim SwK As IO.StreamWriter      '結果出力用

    Dim Fw1, Fw2 As Single      '進行表示の水平枠位置

    Dim NboundA As Integer          '境界自動固定の節点数
    Dim Neff As Integer             '縮小ﾏﾄﾘｯｸｽの行列数
    Dim NumEff As Integer           'FEM1次行列のｲﾝﾃﾞｯｸｽ数

    Dim Idiag() As Integer          'FEM行列対角の保存ｲﾝﾃﾞｯｸｽ番号
    Dim Kmag() As Integer           '材料の磁化有無
    Dim KVarMax(5) As Integer       '変数の最大値の節点番号
    Dim Lcomp() As Integer          '全変数の縮小ﾏﾄﾘｯｸｽ変数番号
    Dim NrestA() As Integer         '境界自動固定の節点番号
    Dim NumDiag() As Integer        'FEM行列対角毎のﾊｰﾌｲﾝﾃﾞｯｸｽ数
    Dim Nw() As Integer             '各節点の共通要素数

    Dim Area() As Double            '材料毎の断面積
    Dim Ds(8), Dt(8) As Double      '形状関数のs偏微分、t偏微分
    Dim Dx(8), Dy(8) As Double      '形状関数のx偏微分、y偏微分
    Dim Ek(,) As Double             '要素計算の２次配列
    Dim Qq(8) As Double             '内部電荷の節点への換算量
    Dim RIe(), RIeb() As Double     '材料毎の電流
    Dim RImp(), RImpb() As Double   '材料毎のｲﾝﾋﾟｰﾀﾞﾝｽ計算用変数
    Dim RImpP(), RImpPb() As Double '電流負荷節点のｲﾝﾋﾟｰﾀﾞﾝｽ計算用変数
    Dim Shape(8) As Double          '形状関数
    Dim TE(8), TEb(8) As Double     '要素節点での値
    Dim Tf() As Double              'FEM計算の右辺ﾍﾞｸﾄﾙ
    Dim TfOld() As Double           '前回の解
    Dim TfOldx() As Double          '前々回の解
    Dim TG(9), TGb(9) As Double     'ｶﾞｳｽ点での値
    Dim Tk() As Double              'FEM行列の1次元保存配列
    Dim TUA() As Double             '合成ﾍﾞｸﾄﾙ
    Dim TUx(), TUxb() As Double     'X方向ﾍﾞｸﾄﾙ
    Dim TUy(), TUyb() As Double     'Y方向ﾍﾞｸﾄﾙ
    Dim VarMax(5) As Single         '変数の最大値
    Dim WEddy() As Double           '材料毎の渦電力
    Dim XG(9), YG(9) As Double      'ｶﾞｳｽ点の座標

    Private Sub BandWidthS(ByRef mb As Integer)
        '基本ﾊﾞﾝﾄﾞ幅の計算
        'mb･･･ﾊｰﾌﾊﾞﾝﾄﾞ幅
        Dim i, ie, ii, j, jj, k, mx As Integer
        mx = 0
        For ie = 1 To Nelem
            For ii = 1 To 7
                i = NNelem(ie, ii)
                For jj = ii + 1 To 8
                    j = NNelem(ie, jj)
                    'k = Math.Abs(i - j)
                    k = Math.Abs(Kcomp(i) - Kcomp(j))
                    If k > mx Then mx = k
                Next jj
            Next ii
        Next ie
        mb = Ndim * (mx + 1)

    End Sub

    Private Sub BandWidth(ByRef mb As Integer)
        'ﾊﾞﾝﾄﾞ幅の計算
        'mb･･･ﾊｰﾌﾊﾞﾝﾄﾞ幅
        Dim i, ib, ibx, ie, ii, j, jj, k, k1, k2 As Integer

        mb = 0
        For ie = 1 To Nelem
            ii = 0
            jj = 0
            For i = 1 To 8
                ib = NNelem(ie, i)
                ibx = Kcomp(ib)
                k1 = Ndim * (ibx - 1)
                For j = 1 To Ndim
                    k1 = k1 + 1
                    k2 = Lcomp(k1)
                    If k2 > 0 Then
                        If ii = 0 Then
                            ii = k2
                            jj = k2
                        ElseIf k2 < ii Then
                            ii = k2
                        ElseIf k2 > jj Then
                            jj = k2
                        End If
                    End If
                Next j
            Next i
            k = jj - ii
            If k > mb Then
                mb = k
            End If
        Next ie
        mb = mb + 1
    End Sub

    Private Sub CompAngle(ByVal b1 As Single, ByVal b2 As Single, _
    ByRef theta As Single)
        '複素角の計算
        'b1,b2･･･実数部、虚数部
        'theta･･･複素角（ﾗｼﾞｱﾝ）
        If b1 = 0 Then
            If b2 = 0 Then
                theta = 0
            ElseIf b2 > 0 Then
                theta = Hpai
            Else
                theta = -Hpai
            End If
        Else
            theta = Math.Atan(b2 / b1)
            If b1 < 0 Then
                theta = theta + Pai
            End If
        End If
    End Sub

    Private Sub EddyCurrent()
        '渦電流計算
        Dim i, ib, icount, ie, ii, k, kmat As Integer
        Dim b1, b2, coeff, dasum As Double
        ReDim TUx(Npoint), TUy(Npoint)  '渦電流密度の実数部と虚数部
        ReDim WEddy(Nmat)  '渦電力

        Application.DoEvents()
        icount = 0
        For ie = 1 To Nelem
            kmat = NumMat(ie)
            b1 = DataMat(kmat, 2)
            If b1 > 0 Then
                coeff = Dpai * Cycle * b1
                For ii = 1 To 8
                    ib = NNelem(ie, ii)
                    i = Kcomp(ib)
                    k = 2 * i - 1
                    b1 = Tf(Lcomp(k))
                    b2 = Tf(Lcomp(k + 1))
                    TUx(i) = TUx(i) + coeff * b2
                    TUy(i) = TUy(i) - coeff * b1
                Next ii
                dasum = 0
                Call ElemMatrixI(ie, coeff, dasum)  '要素ﾏﾄﾘｯｸｽの計算I
                Area(kmat) = Area(kmat) + dasum
                If icount < 99 Then
                    icount = icount + 1
                Else
                    Application.DoEvents()
                    icount = 0
                End If
            End If
        Next ie

        '節点の重複要素数の計算
        ReDim Nw(Npoint)
        For ie = 1 To Nelem
            kmat = NumMat(ie)
            If DataMat(kmat, 2) > 0 Then
                For ii = 1 To 8
                    ib = NNelem(ie, ii)
                    i = Lcomp(ib)
                    Nw(i) = Nw(i) + 1
                Next ii
            End If
        Next ie
        For i = 1 To Npoint
            If Nw(i) > 0 Then
                TUx(i) = TUx(i) / Nw(i)
                TUy(i) = TUy(i) / Nw(i)
            End If
        Next i

    End Sub

    Private Sub ElecField(ByVal ie As Integer, ByVal k As Integer, _
    ByRef hx As Double, ByRef hy As Double)
        '電界計算
        'ie･･･要素番号
        'k･･･節点番号
        'hx,hy･･･X,Y方向の電界
        Dim i, ig, j, jg, kb, kg, kh, kk As Integer
        Dim b1, b2, dj, s, t, tuxp, tuyp As Double
        Dim tuxg(9), tuyg(9) As Double

        For j = 1 To 8
            i = NNelem(ie, j)
            If i = k Then
                kk = j
            End If
            XE(j) = X(i) : YE(j) = Y(i)
            kb = Kcomp(i)
            TE(j) = Tf(Lcomp(kb))
        Next j

        If kk > 0 Then
            kg = 0
            For ig = 1 To Ngaus
                s = PosGaus(ig)
                For jg = 1 To Ngaus
                    t = PosGaus(jg)
                    kg = kg + 1
                    Call ShapeFunc(s, t)                '形状関数の計算
                    Call JacobElemC(ie, kg, kh, dj)     '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
                    b1 = 0 : b2 = 0
                    For j = 1 To 8
                        b1 = b1 + Dx(j) * TE(j)
                        b2 = b2 + Dy(j) * TE(j)
                    Next j
                    tuxg(kg) = tuxg(kg) + b1
                    tuyg(kg) = tuyg(kg) + b2
                Next jg
            Next ig

            tuxp = 0 : tuyp = 0
            For j = 1 To 9
                b1 = Tr(kk, j)
                tuxp = tuxp + b1 * tuxg(j)
                tuyp = tuyp + b1 * tuyg(j)
            Next j

            hx = hx - tuxp
            hy = hy - tuyp
        End If

    End Sub

    Private Sub ElecForce()
        'ｸ-ﾛﾝ力の計算
        Dim aa$
        Dim i, ie, j, k, nb As Integer
        Dim fall, fx, fy, hx, hy As Double

        If Ntype = 2 Then
            aa$ = "＜電荷番号, 節点番号, Ｆcx, Ｆcy, Ｆcall（絶対値）＞"
        Else
            aa$ = "＜電荷番号, 節点番号, Ｆcr, Ｆcz, Ｆcall（絶対値）＞"
        End If
        SwK.WriteLine("＊＊ 節点電荷が受けるクーロン力 ＊＊")
        SwK.WriteLine(aa$)

        For i = 1 To NelecP
            k = KelecP(i)
            nb = 0 : hx = 0 : hy = 0
            For ie = 1 To Nelem
                For j = 1 To 8
                    If NNelem(ie, j) = k Then
                        Call ElecField(ie, k, hx, hy)  '電界計算
                        nb = nb + 1
                        Exit For
                    End If
                Next j
            Next ie
            fx = QelecP(i) * hx / nb
            fy = QelecP(i) * hy / nb
            fall = Math.Sqrt(fx * fx + fy * fy)
            aa$ = Space(6) + Str(i) + ",  " + Str(k)
            aa$ = aa$ + ",  " + Str(CSng(fx)) + ",  " + Str(CSng(fy))
            aa$ = aa$ + ",  " + Str(CSng(fall))
            SwK.WriteLine(aa$)
        Next i

    End Sub

    Private Sub ElecForce2()
        '電荷部のｸ-ﾛﾝ力の計算
        Dim aa$
        Dim i, icount, ie, nb As Integer
        Dim qb As Single
        Dim fall, fx, fy As Double

        nb = 0
        For i = 1 To Nmat
            If DataMat(i, 2) <> 0 Then
                nb = 1
                Exit For
            End If
        Next i
        If nb = 0 Then
            Exit Sub
        End If

        If Ntype = 2 Then
            aa$ = "＜材料番号, Ｆcvx, Ｆcvy, Ｆcvall（絶対値）＞"
        Else
            aa$ = "＜材料番号, Ｆcvr, Ｆcvz, Ｆcvall（絶対値）＞"
        End If
        SwK.WriteLine("-----------------------------------------------")
        SwK.WriteLine("＊＊ 電荷部が受けるクーロン力 ＊＊")
        SwK.WriteLine(aa$)

        For i = 1 To Nmat
            qb = DataMat(i, 2)
            If qb <> 0 Then
                fx = 0 : fy = 0
                Application.DoEvents()
                icount = 0
                For ie = 1 To Nelem
                    If NumMat(ie) = i Then
                        Call ElemMatrixQF(ie, qb, fx, fy)    '要素ﾏﾄﾘｯｸｽの計算QF
                        If icount < 99 Then
                            icount = icount + 1
                        Else
                            Application.DoEvents()
                            icount = 0
                        End If
                    End If
                Next ie
                aa$ = Space(6) + Str(i)
                aa$ = aa$ + ",  " + Str(CSng(fx)) + ",  " + Str(CSng(fy))
                fall = Math.Sqrt(fx * fx + fy * fy)
                aa$ = aa$ + ",  " + Str(CSng(fall))
                SwK.WriteLine(aa$)
            End If
        Next i

    End Sub

    Private Sub ElemMatrix(ByVal ie As Integer, ByVal iter As Integer)
        '要素ﾏﾄﾘｯｸｽの計算（静電界、静磁界用）
        'ie･･･要素番号
        Dim i, id, ig, ii, j, jg, k, kg, kmat As Integer
        Dim b1, coeff, da, dj, s, t, tempb As Double
        For ii = 1 To 8
            i = NNelem(ie, ii)
            XE(ii) = X(i) : YE(ii) = Y(i)
            TE(ii) = TUA(Kcomp(i))
        Next ii
        ReDim Ek(Nvar, Nvar)
        kmat = NumMat(ie)
        If KindField = 0 Then
            coeff = DataMat(kmat, 1)
        End If

        For ig = 1 To Ngaus
            s = PosGaus(ig)
            For jg = 1 To Ngaus
                t = PosGaus(jg)
                kg = kg + 1
                Call ShapeFunc(s, t)            '形状関数の計算
                Call JacobElem(ie, kg, dj)      '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
                da = dj * WeightG(ig) * WeightG(jg)
                If Ntype = 4 Then
                    da = da * Dpai * XG(kg)
                End If
                If KindField > 0 Then
                    If Kmag(kmat) = 0 Then
                        tempb = TG(kg)
                        Call StateCalc(kmat, coeff, tempb)   '物性状態の計算
                        If KindField = 2 Then
                            coeff = 1 / coeff
                        End If
                    Else
                        coeff = 1 / Rmyu(KMenv, 0)
                    End If
                End If
                For i = 1 To 8
                    For j = i To 8
                        b1 = Dx(i) * Dx(j) + Dy(i) * Dy(j)
                        If KindField = 2 And Ntype = 4 Then
                            b1 = b1 + Shape(i) * Shape(j) / XG(kg) ^ 2
                        End If
                        Ek(i, j) = Ek(i, j) + coeff * b1 * da
                    Next j
                Next i
            Next jg
        Next ig

        j = 0
        For ii = 1 To 8
            i = Kcomp(NNelem(ie, ii))
            k = Ndim * (i - 1)
            For id = 1 To Ndim
                j = j + 1 : k = k + 1
                NPrefer(j) = Lcomp(k)
            Next id
        Next ii

    End Sub

    Private Sub ElemMatrixC(ByVal ie As Integer)
        '要素ﾏﾄﾘｯｸｽの計算C（準定常電磁界用）
        'ie･･･要素番号
        Dim i, id, ig, ii, j, jg, jj As Integer
        Dim k, kg, kmat As Integer
        Dim b1, b3, coeff, coeff2, da, dj, s, t As Double
        For ii = 1 To 8
            i = NNelem(ie, ii)
            XE(ii) = X(i) : YE(ii) = Y(i)
        Next ii
        ReDim Ek(Nvar, Nvar)
        kmat = NumMat(ie)
        coeff = 1 / DataMat(kmat, 1)
        coeff2 = Dpai * Cycle * DataMat(kmat, 2)

        kg = 0
        For ig = 1 To Ngaus
            s = PosGaus(ig)
            For jg = 1 To Ngaus
                t = PosGaus(jg)
                kg = kg + 1
                Call ShapeFunc(s, t)            '形状関数の計算
                Call JacobElem(ie, kg, dj)      '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
                da = dj * WeightG(ig) * WeightG(jg)
                If Ntype = 4 Then
                    da = da * Dpai * XG(kg)
                End If
                For i = 1 To 8
                    b3 = coeff2 * Shape(i) * da
                    ii = 2 * i - 1
                    For j = 1 To 8
                        b1 = Dx(i) * Dx(j) + Dy(i) * Dy(j)
                        If Ntype = 4 Then
                            b1 = b1 + Shape(i) * Shape(j) / XG(kg) ^ 2
                        End If
                        b1 = coeff * b1 * da
                        jj = 2 * j - 1
                        Ek(ii, jj) = Ek(ii, jj) + b1
                        Ek(ii + 1, jj + 1) = Ek(ii + 1, jj + 1) + b1
                        Ek(ii, jj + 1) = Ek(ii, jj + 1) - b3 * Shape(j)
                        Ek(ii + 1, jj) = Ek(ii + 1, jj) + b3 * Shape(j)
                    Next j
                Next i
            Next jg
        Next ig

        j = 0
        For ii = 1 To 8
            i = Kcomp(NNelem(ie, ii))
            k = Ndim * (i - 1)
            For id = 1 To Ndim
                j = j + 1 : k = k + 1
                NPrefer(j) = Lcomp(k)
            Next id
        Next ii

    End Sub

    Private Sub ElemMatrixF(ByVal ie As Integer, ByRef fx As Double, _
        ByRef fy As Double, ByVal rjb As Single)
        '要素ﾏﾄﾘｯｸｽの計算F（力ﾍﾞｸﾄﾙ計算用）
        'ie･･･要素番号
        'fx,fy･･･X,Y軸またはR,Z軸方向の力
        'rjb･･･電流密度
        Dim i, ig, ii, jg, k, kg As Integer
        Dim b1, b2, b3, b4, da, dj, s, t As Double
        Dim bxe(8), bye(8) As Single

        For ii = 1 To 8
            i = NNelem(ie, ii)
            XE(ii) = X(i) : YE(ii) = Y(i)
            k = Kcomp(i)
            bxe(ii) = TUx(k)
            bye(ii) = TUy(k)
        Next ii

        kg = 0
        For ig = 1 To Ngaus
            s = PosGaus(ig)
            For jg = 1 To Ngaus
                t = PosGaus(jg)
                kg = kg + 1
                Call ShapeFunc(s, t)            '形状関数の計算
                Call JacobElem(ie, kg, dj)      '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
                da = dj * WeightG(ig) * WeightG(jg)
                If Ntype = 4 Then
                    da = da * Dpai * XG(kg)
                End If
                b1 = 0 : b2 = 0
                For ii = 1 To 8
                    b1 = b1 + Shape(ii) * bxe(ii)
                    b2 = b2 + Shape(ii) * bye(ii)
                Next ii
                b3 = rjb * b1 * da
                b4 = rjb * b2 * da
                fy = fy + b3
                fx = fx - b4
            Next jg
        Next ig

    End Sub

    Private Sub ElemMatrixI(ByVal ie As Integer, ByVal coeff As Double, _
    ByRef dasum As Double)
        '要素ﾏﾄﾘｯｸｽの計算I（渦電流計算用）
        'ie･･･要素番号
        'coeff･･･係数ωσ
        'dasum･･･面積
        Dim i, ig, ii, jg, k, kg, kmat As Integer
        Dim b1, b2, coeff2, da, dj, resist, rlength, s, t As Double
        For ii = 1 To 8
            i = NNelem(ie, ii)
            XE(ii) = X(i) : YE(ii) = Y(i)
            k = 2 * Kcomp(i) - 1
            TE(ii) = Tf(Lcomp(k))
            TEb(ii) = Tf(Lcomp(k + 1))
        Next ii
        kmat = NumMat(ie)
        coeff2 = DataMat(kmat, 2)

        kg = 0
        rlength = 1
        For ig = 1 To Ngaus
            s = PosGaus(ig)
            For jg = 1 To Ngaus
                t = PosGaus(jg)
                kg = kg + 1
                Call ShapeFunc(s, t)            '形状関数の計算
                Call JacobElem(ie, kg, dj)      '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
                da = dj * WeightG(ig) * WeightG(jg)
                dasum = dasum + da
                If Ntype = 4 Then
                    rlength = Dpai * XG(kg)
                End If
                resist = rlength / (coeff2 * da)
                b1 = coeff * TGb(kg) * da
                b2 = -coeff * TG(kg) * da
                WEddy(kmat) = WEddy(kmat) + resist * (b1 * b1 + b2 * b2)
                RIe(kmat) = RIe(kmat) + b1
                RIeb(kmat) = RIeb(kmat) + b2
            Next jg
        Next ig

    End Sub

    Private Sub ElemMatrixQF(ByVal ie As Integer, ByVal qb As Single, _
    ByRef fx As Double, ByRef fy As Double)
        '要素ﾏﾄﾘｯｸｽの計算QF
        'ie･･･要素番号
        'qb･･･電荷密度
        'fx,fy･･･X,Y軸方向の力
        Dim i, ig, ii, jg, k, kg, numg As Integer
        Dim bx, by, da, dj, s, t As Double

        For ii = 1 To 8
            i = NNelem(ie, ii)
            XE(ii) = X(i)
            YE(ii) = Y(i)
            k = Kcomp(i)
            TE(ii) = Tf(Lcomp(k))
        Next ii
        numg = 0
        For ig = 1 To Ngaus
            s = PosGaus(ig)
            For jg = 1 To Ngaus
                t = PosGaus(jg)
                kg = kg + 1
                Call ShapeFunc(s, t)            '形状関数の計算
                Call JacobElem(ie, kg, dj)      '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
                da = dj * WeightG(ig) * WeightG(jg)
                If Ntype = 4 Then
                    da = da * Dpai * XG(kg)
                End If
                bx = 0 : by = 0
                For ii = 1 To 8
                    bx = bx + Dx(ii) * Shape(ii) * TE(ii)
                    by = by + Dy(ii) * Shape(ii) * TE(ii)
                Next ii
                fx = fx - qb * bx
                fy = fy - qb * by
            Next jg
        Next ig

    End Sub


    Private Sub ElemMatrixV(ByVal ie As Integer)
        '要素ﾏﾄﾘｯｸｽの計算V（密度ﾍﾞｸﾄﾙ計算用）
        'ie･･･要素番号
        Dim i, ig, ii, j, jg, k, kg, kh, kmat As Integer
        Dim b1, b2, b3, b4, coeff, dj, s, tempb, t As Double
        Dim tuxp, tuxp2, tuyp, tuyp2 As Double
        Dim tuxg(9), tuxg2(9), tuyg(9), tuyg2(9) As Double

        For ii = 1 To 8
            i = NNelem(ie, ii)
            XE(ii) = X(i) : YE(ii) = Y(i)
            If KindField < 3 Then
                k = Kcomp(i)
                TE(ii) = Tf(Lcomp(k))
                If KindField > 0 Then
                    TEb(ii) = TUA(k)
                End If
            Else
                k = Ndim * (Kcomp(i) - 1) + 1
                TE(ii) = Tf(Lcomp(k))
                TEb(ii) = Tf(Lcomp(k + 1))
            End If
        Next ii
        kmat = NumMat(ie)
        If KindField > 0 Then
            coeff = 1
        Else
            coeff = DataMat(kmat, 1)
        End If

        kg = 0
        For ig = 1 To Ngaus
            s = PosGaus(ig)
            For jg = 1 To Ngaus
                t = PosGaus(jg)
                kg = kg + 1
                Call ShapeFunc(s, t)                '形状関数の計算
                Call JacobElemC(ie, kg, kh, dj)     '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
                b1 = 0 : b2 = 0 : b3 = 0 : b4 = 0
                For j = 1 To 8
                    b1 = b1 + Dx(j) * TE(j)
                    b2 = b2 + Dy(j) * TE(j)
                    If KindField = 3 Then
                        b3 = b3 + Dx(j) * TEb(j)
                        b4 = b4 + Dy(j) * TEb(j)
                    End If
                Next j
                If KindField = 1 Then
                    tempb = TGb(kg)
                    Call StateCalc(kmat, coeff, tempb)   '物性状態の計算
                End If
                b1 = b1 * coeff
                b2 = b2 * coeff
                tuxg(kg) = tuxg(kg) + b1
                tuyg(kg) = tuyg(kg) + b2
                tuxg2(kg) = tuxg2(kg) + b3
                tuyg2(kg) = tuyg2(kg) + b4
            Next jg
        Next ig

        For i = 1 To 8
            tuxp = 0 : tuyp = 0 : tuxp2 = 0 : tuyp2 = 0
            For j = 1 To 9
                b1 = Tr(i, j)
                tuxp = tuxp + b1 * tuxg(j)
                tuyp = tuyp + b1 * tuyg(j)
                tuxp2 = tuxp2 + b1 * tuxg2(j)
                tuyp2 = tuyp2 + b1 * tuyg2(j)
            Next j
            ii = Kcomp(NNelem(ie, i))

            If KindField < 2 Then
                TUx(ii) = TUx(ii) - tuxp
                TUy(ii) = TUy(ii) - tuyp
            Else
                TUx(ii) = TUx(ii) + tuyp
                TUy(ii) = TUy(ii) - tuxp
                If KindField = 3 Then
                    TUxb(ii) = TUxb(ii) + tuyp2
                    TUyb(ii) = TUyb(ii) - tuxp2
                End If
            End If
        Next i

    End Sub

    Private Sub ElemMatrixVR(ByVal ie As Integer)
        '要素ﾏﾄﾘｯｸｽの計算VR（ｶﾞｳｽ点利用の密度ﾍﾞｸﾄﾙ計算用）
        'ie･･･要素番号
        Dim i, ig, ii, j, jg, k, kg, kmat As Integer
        Dim b1, b2, b3, b4, coeff, dj, s, t, tempb As Double
        Dim tuxp, tuxbp, tuyp, tuybp As Double
        Dim tuxg(9), tuxbg(9), tuyg(9), tuybg(9) As Double

        For ii = 1 To 8
            i = NNelem(ie, ii)
            XE(ii) = X(i) : YE(ii) = Y(i)
            If KindField < 3 Then
                k = Kcomp(i)
                TE(ii) = Tf(Lcomp(k))
                If KindField > 0 Then
                    TEb(ii) = TUA(k)
                End If
            Else
                k = Ndim * (Kcomp(i) - 1) + 1
                TE(ii) = Tf(Lcomp(k))
                TEb(ii) = Tf(Lcomp(k + 1))
            End If
        Next ii
        kmat = NumMat(ie)
        If KindField > 0 Then
            coeff = 1
        Else
            coeff = DataMat(kmat, 1)
        End If

        kg = 0
        For ig = 1 To Ngaus
            s = PosGaus(ig)
            For jg = 1 To Ngaus
                t = PosGaus(jg)
                kg = kg + 1
                Call ShapeFunc(s, t)            '形状関数の計算
                Call JacobElem(ie, kg, dj)      '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
                b1 = 0 : b2 = 0 : b3 = 0 : b4 = 0
                For j = 1 To 8
                    b1 = b1 + Dx(j) * TE(j)
                    b2 = b2 + Dy(j) * TE(j)
                    If KindField = 3 Then
                        b3 = b3 + Dx(j) * TEb(j)
                        b4 = b4 + Dy(j) * TEb(j)
                    End If
                Next j
                If KindField > 1 And Ntype = 4 Then
                    b1 = b1 + TG(kg) / XG(kg)
                    If KindField = 3 Then
                        b3 = b3 + TGb(kg) / XG(kg)
                    End If
                End If
                If KindField = 1 Then
                    tempb = TGb(kg)
                    Call StateCalc(kmat, coeff, tempb)   '物性状態の計算
                End If
                b1 = b1 * coeff
                b2 = b2 * coeff
                If KindField < 2 Then
                    tuxg(kg) = tuxg(kg) - b1
                    tuyg(kg) = tuyg(kg) - b2
                Else
                    tuxg(kg) = tuxg(kg) + b2
                    tuyg(kg) = tuyg(kg) - b1
                    If KindField = 3 Then
                        tuxbg(kg) = tuxbg(kg) + b4
                        tuybg(kg) = tuybg(kg) - b3
                    End If
                End If
            Next jg
        Next ig

        For i = 1 To 8
            tuxp = 0 : tuyp = 0 : tuxbp = 0 : tuybp = 0
            For j = 1 To 9
                b1 = tr(i, j)
                tuxp = tuxp + b1 * tuxg(j)
                tuyp = tuyp + b1 * tuyg(j)
                If KindField = 3 Then
                    tuxbp = tuxbp + b1 * tuxbg(j)
                    tuybp = tuybp + b1 * tuybg(j)
                End If
            Next j
            ii = Kcomp(NNelem(ie, i))
            TUx(ii) = TUx(ii) + tuxp
            TUy(ii) = TUy(ii) + tuyp
            If KindField = 3 Then
                TUxb(ii) = TUxb(ii) + tuxbp
                TUyb(ii) = TUyb(ii) + tuybp
            End If
        Next i

    End Sub

    Private Sub ElemMatrixZ(ByVal ie As Integer, ByRef dasum As Double, _
    ByRef dep As Double, ByRef depb As Double)
        '要素ﾏﾄﾘｯｸｽの計算Z（ｲﾝﾋﾟｰﾀﾞﾝｽ計算用）
        'ie･･･要素番号
        'dasum･･･面積
        'dep、depb･･･誘起電圧の実数部、虚数部
        Dim i, ig, ii, jg, k, kg As Integer
        Dim b1, b2, da, dj, rlength, s, t As Double
        For ii = 1 To 8
            i = NNelem(ie, ii)
            XE(ii) = X(i) : YE(ii) = Y(i)
            k = 2 * Kcomp(i) - 1
            TE(ii) = Tf(Lcomp(k))
            TEb(ii) = Tf(Lcomp(k + 1))
        Next ii

        dasum = 0 : dep = 0 : depb = 0
        kg = 0
        rlength = 1
        For ig = 1 To Ngaus
            s = PosGaus(ig)
            For jg = 1 To Ngaus
                t = PosGaus(jg)
                kg = kg + 1
                Call ShapeFunc(s, t)            '形状関数の計算
                Call JacobElem(ie, kg, dj)      '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
                da = dj * WeightG(ig) * WeightG(jg)
                dasum = dasum + da
                If Ntype = 4 Then
                    rlength = Dpai * XG(kg)
                End If
                b1 = TGb(kg) * da
                b2 = -TG(kg) * da
                dep = dep + b1 * rlength
                depb = depb + b2 * rlength
            Next jg
        Next ig

    End Sub

    Private Sub ForceCalc()
        '力の計算
        Dim aa$
        Dim icount, ie, imat As Integer
        Dim rjb As Single
        Dim fall, fx, fy As Double

        If Ntype = 2 Then
            aa$ = "＜材料番号、Ｆx、Ｆy、Ｆall（絶対値）＞"
        Else
            aa$ = "＜材料番号、Ｆr、Ｆz、Ｆall（絶対値）＞"
        End If
        SwK.WriteLine("＊＊ 電流部が受けるローレンツ力 ＊＊")
        SwK.WriteLine(aa$)

        For imat = 1 To Nmat
            If DataMat(imat, 1) <> 0 Then
                fx = 0 : fy = 0
                rjb = DataMat(imat, 1)
                Application.DoEvents()
                icount = 0
                For ie = 1 To Nelem
                    If NumMat(ie) = imat Then
                        Call ElemMatrixF(ie, fx, fy, rjb)    '要素ﾏﾄﾘｯｸｽの計算F
                        If icount < 99 Then
                            icount = icount + 1
                        Else
                            Application.DoEvents()
                            icount = 0
                        End If
                    End If
                Next ie
                fall = Math.Sqrt(fx * fx + fy * fy)
                aa$ = Space(6) + Str(imat)
                aa$ = aa$ + ",  " + Str(CSng(fx)) + ",  " + Str(CSng(fy))
                aa$ = aa$ + ",  " + Str(CSng(fall))
                SwK.WriteLine(aa$)
            End If
        Next imat

    End Sub

    Private Sub FluctCheck(ByRef bb As Double, ByRef bba As Double)
        '解の発散ﾁｪｯｸ
        'bb･･･解変化量の最大値
        'bba･･･収束基準量（解最大値×収束基準変化率）
        Dim ip As Integer
        Dim aa, cc, dd As Double
        aa = 0
        bb = 0
        For ip = 1 To Neff
            cc = Math.Abs(Tf(ip))
            dd = Math.Abs(Tf(ip) - TfOld(ip))
            If cc > aa Then
                aa = cc
            End If
            If dd > bb Then
                bb = dd
            End If
        Next ip
        bba = aa * EpsCalc

    End Sub

    Private Sub FluxSet()
        '流束の節点への換算
        Dim i, ig, ii, j, jj As Integer
        Dim dj, pnb As Double
        For ii = 1 To Nflux
            For i = 1 To 3
                j = Kpflux(ii, i)
                XE(i) = X(j) : YE(i) = Y(j)
            Next i
            If Pnorm(ii) <> 0 Then
                pnb = Pnorm(ii)
                For ig = 1 To Ngaus
                    Call SideJacob(ig, dj)      '辺のＪＡＣＯＢ
                    For i = 1 To 3
                        j = Kpflux(ii, i)
                        jj = Ndim * (Kcomp(j) - 1) + 1
                        Tf(Lcomp(jj)) = Tf(Lcomp(jj)) - pnb * Shape(i) * dj
                    Next i
                Next ig
            End If
        Next ii
    End Sub

    Private Sub Impedance()
        'ｲﾝﾋﾟｰﾀﾞﾝｽの計算
        Dim i, icount, ie, kmat As Integer
        Dim b1, coeff, dasum, dep, depb As Double

        coeff = Dpai * Cycle
        Application.DoEvents()
        icount = 0
        For ie = 1 To Nelem
            kmat = NumMat(ie)
            b1 = DataMat(kmat, 3)
            If b1 <> 0 Then
                Call ElemMatrixZ(ie, dasum, dep, depb) '要素ﾏﾄﾘｯｸｽの計算Z
                Area(kmat) = Area(kmat) + dasum
                RImp(kmat) = RImp(kmat) + dep
                RImpb(kmat) = RImpb(kmat) + depb
            End If
            If icount < 99 Then
                icount = icount + 1
            Else
                Application.DoEvents()
                icount = 0
            End If
        Next ie

        For i = 1 To Nmat
            If DataMat(i, 3) <> 0 Then
                RImp(i) = coeff * RImp(i) / Area(i)
                RImpb(i) = coeff * RImpb(i) / Area(i)
            End If
        Next i

    End Sub

    Private Sub InitialSet1()
        '初期設定
        Dim i, ie, ii, j, k, kb As Integer
        Dim kbuf(3), nbuf(Npoint) As Integer

        Nvar = Ndim * 8
        Nall = Ndim * Npoint
        ReDim NPrefer(Nvar), Nw(Npoint), Kmag(Nmat)

        If KindField = 2 Then
            For i = 1 To Nmat
                If DataMat(i, 2) <> 0 Or DataMat(i, 3) <> 0 Then
                    Kmag(i) = 1
                End If
            Next i
        End If
        If KindField = 3 Then
            ReDim Area(Nmat), RImp(Nmat), RImpb(Nmat)
            ReDim RIe(Nmat), RIeb(Nmat)   '電流の実数部と虚数部
        End If

        '節点の重複要素数の計算
        For ie = 1 To Nelem
            For ii = 1 To 8
                i = Kcomp(NNelem(ie, ii))
                Nw(i) = Nw(i) + 1
            Next ii
        Next ie

        NboundA = 0
        If KindBound = 0 Then   '境界自動固定の処理
            ReDim KdrawElem(Nelem), KSelem(Nelem, 4)
            For ie = 1 To Nelem
                KdrawElem(ie) = 1
            Next ie
            Call InnerCheck(1, Nelem)    '内部辺ﾁｪｯｸ
            For ie = 1 To Nelem
                For i = 1 To 4
                    If KSelem(ie, i) = 0 Then   '外郭辺の場合
                        Call SideSet(ie, i, kbuf)    '辺の設定
                        For j = 1 To 3
                            k = kbuf(j)
                            nbuf(k) = 1 '境界自動固定に仮設定
                        Next j
                    End If
                Next i
            Next ie
            If Nbound > 0 Then
                For i = 1 To Nbound
                    k = Nrest(i)
                    nbuf(k) = 0
                Next i
            End If
            If Nflux > 0 Then
                For i = 1 To Nflux
                    For j = 1 To 3
                        k = Kpflux(i, j)
                        nbuf(k) = 0
                    Next j
                Next i
            End If
            If Ntype = 4 Then
                Call RestRTreat(nbuf)   '軸対称体の中心節点の非拘束処理
            End If
            For i = 1 To Npoint
                If nbuf(i) > 0 Then
                    NboundA = NboundA + 1
                End If
            Next
            If NboundA > 0 Then
                ReDim NrestA(NboundA)
                k = 0
                For i = 1 To Npoint
                    If nbuf(i) > 0 Then
                        k = k + 1
                        NrestA(k) = i
                    End If
                Next
            End If
        End If

        '縮小ﾏﾄﾘｯｸｽの設定
        ReDim Lcomp(Nall)
        For i = 1 To Nall       '全変数のﾏﾄﾘｯｸｽ組み入れを仮設定
            Lcomp(i) = 1
        Next i
        If Nbound > 0 Then
            For i = 1 To Nbound
                If Jrest(i) > 0 And Vrest(i) = 0 Then
                    kb = Kcomp(Nrest(i))
                    If KindField < 3 Then
                        Lcomp(kb) = 0
                    Else
                        kb = 2 * kb
                        Lcomp(kb - 1) = 0
                        Lcomp(kb) = 0
                    End If
                End If
            Next i
        End If
        If NboundA > 0 Then
            For i = 1 To NboundA
                kb = Kcomp(NrestA(i))
                If KindField < 3 Then
                    Lcomp(kb) = 0
                Else
                    kb = 2 * kb
                    Lcomp(kb - 1) = 0
                    Lcomp(kb) = 0
                End If
            Next i
        End If
        Neff = 0
        For i = 1 To Nall       '全変数の縮小ﾏﾄﾘｯｸｽへの対応付け
            If Lcomp(i) > 0 Then
                Neff = Neff + 1
                Lcomp(i) = Neff
            End If
        Next i

        ReDim Tf(Neff), TUA(Npoint)

        If NKmax > 1 Then
            ReDim TfOld(Neff), TfOldx(Neff)
        End If

    End Sub

    Private Sub InitialSet2(ByVal mb As Integer)
        '初期設定2
        Dim aa$
        Dim i, ib, ic, id, ie, i1, ii, ip, j, k, k1, kk, num, numall As Integer
        Dim nbuf(Npoint) As Integer

        '関連節点数の計算
        numall = 0
        For i = 1 To Npoint
            ic = 0
            k = Ndim * (i - 1)
            For id = 1 To Ndim
                If Lcomp(k + id) > 0 Then
                    ic = 1
                    Exit For
                End If
            Next id
            If ic > 0 Then
                For j = 1 To i
                    nbuf(j) = 0
                Next j
                ip = KRcomp(i)
                For ie = 1 To Nelem
                    ic = 0
                    For ii = 1 To 8
                        If NNelem(ie, ii) = ip Then
                            ic = 1
                            Exit For
                        End If
                    Next ii
                    If ic > 0 Then
                        For ii = 1 To 8
                            ib = Kcomp(NNelem(ie, ii))
                            If ib <= i Then
                                nbuf(ib) = 1
                            End If
                        Next ii
                    End If
                Next ie
                i1 = 0
                For j = 1 To i
                    If nbuf(j) > 0 Then
                        i1 = j
                        Exit For
                    End If
                Next j
                k1 = 0
                For j = i1 To i
                    k = Ndim * (j - 1)
                    For id = 1 To Ndim
                        If Lcomp(k + id) > 0 Then
                            k1 = Lcomp(k + id)
                            Exit For
                        End If
                    Next id
                    If k1 > 0 Then
                        Exit For
                    End If
                Next j
                k = Ndim * (i - 1)
                For id = 1 To Ndim
                    kk = Lcomp(k + id)
                    If kk > 0 Then
                        num = kk - k1 + 1
                        NumDiag(kk) = num
                        numall = numall + num
                        Idiag(kk) = numall
                    End If
                Next id
            End If
        Next i
        NumEff = numall

        Try
            ReDim Tk(NumEff)
        Catch
            aa$ = "ＦＥＭ行列のメモリーを確保できません！"
            MsgBox(aa$, 0, "メモリー不足")
            End
        End Try

    End Sub

    Private Sub InitialSet2A(ByVal mb As Integer)
        '初期設定2A
        'mb･･･ﾊｰﾌﾊﾞﾝﾄﾞ幅
        Dim aa$
        Dim i, i1, ib, ic, id, ie, ii, ip, j, k, k1, kk As Integer
        Dim num, numall As Integer
        Dim nbuf(Npoint) As Integer

        '関連節点数の計算
        numall = 0
        For i = 1 To Npoint
            ic = 0
            k = Ndim * (i - 1)
            For id = 1 To Ndim
                If Lcomp(k + id) > 0 Then
                    ic = 1
                    Exit For
                End If
            Next id
            If ic > 0 Then
                For j = 1 To i
                    nbuf(j) = 0
                Next j
                ip = KRcomp(i)
                For ie = 1 To Nelem
                    ic = 0
                    For ii = 1 To 8
                        If NNelem(ie, ii) = ip Then
                            ic = 1
                            Exit For
                        End If
                    Next ii
                    If ic > 0 Then
                        For ii = 1 To 8
                            ib = Kcomp(NNelem(ie, ii))
                            If ib <= i Then
                                nbuf(ib) = 1
                            End If
                        Next ii
                    End If
                Next ie
                i1 = 0
                For j = 1 To i
                    If nbuf(j) > 0 Then
                        i1 = j
                        Exit For
                    End If
                Next j
                k1 = 0
                For j = i1 To i
                    k = Ndim * (j - 1)
                    For id = 1 To Ndim
                        If Lcomp(k + id) > 0 Then
                            k1 = Lcomp(k + id)
                            Exit For
                        End If
                    Next id
                    If k1 > 0 Then
                        Exit For
                    End If
                Next j
                k = Ndim * (i - 1)
                For id = 1 To Ndim
                    kk = Lcomp(k + id)
                    If kk > 0 Then
                        num = kk - k1 + 1
                        NumDiag(kk) = num
                        numall = numall + num
                        Idiag(kk) = numall
                        numall = numall + num - 1
                    End If
                Next id
            End If
        Next i
        NumEff = numall

        Try
            ReDim Tk(NumEff)
        Catch
            aa$ = "ＦＥＭ行列のメモリーを確保できません！"
            MsgBox(aa$, 0, "メモリー不足")
            End
        End Try

    End Sub

    Private Sub JacobElem(ByVal ie As Integer, ByVal kg As Integer, _
    ByRef dj As Double)
        '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算
        'ie･･･要素番号
        'kg･･･ｶﾞｳｽ点番号
        'dj･･･ﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの行列式値
        Dim c1$, c2$
        Dim ii As Integer
        Dim b1, b2, b3, b4, b5, b6, b7, b8 As Double
        XG(kg) = 0 : YG(kg) = 0 : TG(kg) = 0 : TGb(kg) = 0
        For ii = 1 To 8
            XG(kg) = XG(kg) + XE(ii) * Shape(ii)
            YG(kg) = YG(kg) + YE(ii) * Shape(ii)
            TG(kg) = TG(kg) + TE(ii) * Shape(ii)
            TGb(kg) = TGb(kg) + TEb(ii) * Shape(ii)
        Next ii
        b1 = 0 : b2 = 0 : b3 = 0 : b4 = 0
        For ii = 1 To 8
            b1 = b1 + Ds(ii) * XE(ii)
            b2 = b2 + Ds(ii) * YE(ii)
            b3 = b3 + Dt(ii) * XE(ii)
            b4 = b4 + Dt(ii) * YE(ii)
        Next ii
        dj = b1 * b4 - b2 * b3
        If dj <= 0 Then
            c1$ = "計算実行エラー"
            c2$ = "要素" + LTrim$(Str$(ie)) + "（ガウス点" + LTrim$(Str$(kg))
            c2$ = c2$ + "）でヤコビアン面積が負か０になりました。"
            MsgBox(c2$, 0, c1$)
            End
        Else
            b5 = b4 / dj : b8 = b1 / dj
            b6 = -b2 / dj : b7 = -b3 / dj
            For ii = 1 To 8
                Dx(ii) = b5 * Ds(ii) + b6 * Dt(ii)
                Dy(ii) = b7 * Ds(ii) + b8 * Dt(ii)
            Next ii
        End If
    End Sub

    Private Sub JacobElemC(ByVal ie As Integer, ByVal kg As Integer, _
    ByRef kh As Integer, ByRef dj As Double)
        '要素のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの計算（ｴﾗｰ停止なし）
        'ie･･･要素番号
        'kg･･･ｶﾞｳｽ点番号
        'kh･･･ｴﾗｰ有無（0:なし、-1:有り）
        'dj･･･ﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽの行列式値
        Dim ii As Integer
        Dim b1, b2, b3, b4, b5, b6, b7, b8 As Double
        kh = 0
        XG(kg) = 0 : YG(kg) = 0 : TG(kg) = 0 : TGb(kg) = 0
        For ii = 1 To 8
            XG(kg) = XG(kg) + XE(ii) * Shape(ii)
            YG(kg) = YG(kg) + YE(ii) * Shape(ii)
            TG(kg) = TG(kg) + TE(ii) * Shape(ii)
            TGb(kg) = TGb(kg) + TEb(ii) * Shape(ii)
        Next ii
        b1 = 0 : b2 = 0 : b3 = 0 : b4 = 0
        For ii = 1 To 8
            b1 = b1 + Ds(ii) * XE(ii)
            b2 = b2 + Ds(ii) * YE(ii)
            b3 = b3 + Dt(ii) * XE(ii)
            b4 = b4 + Dt(ii) * YE(ii)
        Next ii
        dj = b1 * b4 - b2 * b3
        If dj <= 0 Then
            kh = -1
            Exit Sub
        Else
            b5 = b4 / dj : b8 = b1 / dj
            b6 = -b2 / dj : b7 = -b3 / dj
            For ii = 1 To 8
                Dx(ii) = b5 * Ds(ii) + b6 * Dt(ii)
                Dy(ii) = b7 * Ds(ii) + b8 * Dt(ii)
            Next ii
        End If
    End Sub

    Private Sub LocalAxisValue2x(ByVal kk As Integer, ByVal k As Integer, _
    ByRef s As Double, ByRef t As Double)
        '局所座標ｾｯﾄ
        'kk･･･座標番号
        'k･･･ｾｯﾄ番号（1～3）
        's,t･･局所座標
        Dim buf(3) As Single

        buf(1) = 0.99
        buf(2) = 0.95
        buf(3) = 0.9
        Select Case kk
            Case 1
                s = -buf(k) : t = -buf(k)
            Case 2
                s = 0 : t = -buf(k)
            Case 3
                s = buf(k) : t = -buf(k)
            Case 4
                s = buf(k) : t = 0
            Case 5
                s = buf(k) : t = buf(k)
            Case 6
                s = 0 : t = buf(k)
            Case 7
                s = -buf(k) : t = buf(k)
            Case 8
                s = -buf(k) : t = 0
        End Select

    End Sub

    Private Sub MagForce2()
        '磁気力の計算2
        Dim aa$
        Dim icount, ie, imat, k As Integer
        Dim rmyu0 As Single
        Dim fall, fx, fy As Double
        Dim mbuf(4) As Integer

        If Ntype = 2 Then
            aa$ = "＜材料番号、Ｆmx、Ｆmy、Ｆmall（絶対値）＞"
        Else
            aa$ = "＜材料番号、Ｆmr、Ｆmz、Ｆmall（絶対値）＞"
        End If
        SwK.WriteLine("＊＊ 磁性体が受ける磁気力 ＊＊")
        SwK.WriteLine(aa$)

        rmyu0 = Rmyu(KMenv, 0)

        For imat = 1 To Nmat
            If NMdiv(imat) > 1 Then
                fx = 0 : fy = 0
                Application.DoEvents()
                icount = 0
                For ie = 1 To Nelem
                    If NumMat(ie) = imat Then
                        Call OutSideCheck(ie, mbuf)  '辺外部の材料ﾁｪｯｸ
                        For k = 1 To 4
                            If mbuf(k) = KMenv Then
                                Call SideMagForce2(ie, k, rmyu0, fx, fy)    '要素辺の磁気力2
                            End If
                        Next k
                        If icount < 99 Then
                            icount = icount + 1
                        Else
                            Application.DoEvents()
                            icount = 0
                        End If
                    End If
                Next ie
                fall = Math.Sqrt(fx * fx + fy * fy)
                If fall > 0 Then
                    aa$ = Space(6) + Str(imat)
                    aa$ = aa$ + ",  " + Str(CSng(fx)) + ",  " + Str(CSng(fy))
                    aa$ = aa$ + ",  " + Str(CSng(fall))
                    SwK.WriteLine(aa$)
                End If
            End If
        Next imat

    End Sub

    Private Sub MiniSort2(ByVal kind As Integer, ByRef nsort() As Integer, _
    ByVal work() As Single, ByVal xbuf() As Single, ByVal ybuf() As Single)
        'ﾐﾆｿｰﾄ2
        '同じ変数値の場合に、第2座標値でソート
        'kind･･･主ｿｰﾄの座標軸番号（1:X軸、2:Y軸）
        'nsort()･･･元の変数番号のｿｰﾄ順番号
        'work()･･･ｿｰﾄ変数値
        'xbuf(),ybuf()･･･節点の座標
        Dim i, j, jb, jx, nb, n1, n2, nx As Integer
        Dim b1 As Single
        Dim nsort2(10) As Integer
        Dim work2(10) As Single

        i = 1
        Do
            If work(i) = work(i + 1) Then
                b1 = work(i)
                n1 = i
                For j = i + 1 To Npoint
                    If b1 = work(j) Then
                        n2 = j
                    Else
                        Exit For
                    End If
                Next j
                nx = n2 - n1 + 1
                ReDim nsort2(nx), work2(nx)
                jb = 0
                For j = n1 To n2
                    jb = jb + 1
                    nsort2(jb) = jb
                    nb = nsort(j)
                    If kind = 1 Then
                        work2(jb) = ybuf(nb)
                    Else
                        work2(jb) = xbuf(nb)
                    End If
                Next j
                Call ShellSortStd(nx, nsort2, work2)    'ｼｪｯﾙｿｰﾄ基本
                For j = 1 To nx
                    jb = n1 + nsort2(j) - 1
                    nsort2(j) = nsort(jb)
                Next j
                For j = 1 To nx
                    jx = n1 + j - 1
                    nsort(jx) = nsort2(j)
                Next j
                i = n2 + 1
            Else
                i = i + 1
            End If
        Loop While i < Npoint

    End Sub

    Private Sub OutSideCheck(ByVal ie As Integer, ByRef mbuf() As Integer)
        '辺外部の材料ﾁｪｯｸ
        'ie･･･要素番号
        'mbuf()･･･４辺外部の材料番号
        Dim i, i1, ic, ii, j, j1 As Integer

        For i = 1 To 4
            mbuf(i) = 0
            Select Case i
                Case 1
                    i1 = NNelem(ie, 2)
                Case 2
                    i1 = NNelem(ie, 4)
                Case 3
                    i1 = NNelem(ie, 6)
                Case 4
                    i1 = NNelem(ie, 8)
            End Select
            ic = 0
            For ii = 1 To Nelem
                If ii <> ie Then
                    For j = 1 To 4
                        Select Case j
                            Case 1
                                j1 = NNelem(ii, 2)
                            Case 2
                                j1 = NNelem(ii, 4)
                            Case 3
                                j1 = NNelem(ii, 6)
                            Case 4
                                j1 = NNelem(ii, 8)
                        End Select
                        If i1 = j1 Then
                            ic = 1
                            mbuf(i) = NumMat(ii)
                            Exit For
                        End If
                    Next j
                End If
                If ic > 0 Then
                    Exit For
                End If
            Next ii
        Next i

    End Sub

    Private Sub PnumImproveNew(ByRef mb As Integer, ByVal mbx As Integer,
    ByVal xbuf() As Single, ByVal ybuf() As Single)
        '節点付番の改良
        'mb･･･改良後のﾊﾞﾝﾄﾞ幅
        'mbx･･･改良前のﾊﾞﾝﾄﾞ幅
        'xbuf(),ybuf()･･･節点の座標
        Dim i, ib, ie, k, kx, mbb As Integer
        Dim pa, qa, ratio As Single
        Dim kcbuf(Npoint) As Integer

        For ie = 1 To Nelem
            KdrawElem(ie) = 1
        Next ie
        ratio = 1.2
        i = 0
        Call AxisCheck(i, 1, Nelem, ratio, XaxisMin, pa, YaxisMin, qa)
        'X、Y軸の最小・最大値と作画直角回転要否のﾁｪｯｸ

        For k = 1 To 2
            Call ShellSort2(k, kcbuf, xbuf, ybuf)    'ｼｪﾙｿｰﾄ2
            Call BandWidth2(mb, kcbuf)      'ﾊﾞﾝﾄﾞ幅の計算
            If k = 1 Then
                kx = 1
                mbb = mb
            ElseIf mb < mbb Then
                kx = k
                mbb = mb
            End If
        Next k

        If mbb < mbx Then
            Call ShellSort2(kx, kcbuf, xbuf, ybuf)    'ｼｪﾙｿｰﾄ2
            Call BandWidth2(mb, kcbuf)      'ﾊﾞﾝﾄﾞ幅の計算
            For i = 1 To Npoint
                Kcomp(i) = kcbuf(i)
            Next i
        Else
            mb = mbx
        End If

        For i = 1 To Npoint
            ib = Kcomp(i)
            KRcomp(ib) = i
        Next i

    End Sub

    Private Sub QelecSet()
        '節点負荷の計算
        Dim ii, j, jj As Integer
        Dim b1 As Double
        For ii = 1 To NelecP
            j = KelecP(ii)
            jj = Ndim * (Kcomp(j) - 1) + 1
            If Ntype = 2 Then
                Tf(Lcomp(jj)) = Tf(Lcomp(jj)) + QelecP(ii)
            Else
                b1 = Dpai * X(j)
                Tf(Lcomp(jj)) = Tf(Lcomp(jj)) + b1 * QelecP(ii)
            End If
        Next ii

    End Sub

    Private Sub QintSet()
        '内部負荷の計算
        Dim i, ie, ig, ii, jg, jx, k, kg, nm As Integer
        Dim b1, b2, b3, da, dj, qb, s, t As Double
        Select Case KindField
            Case 0
                jx = 2
            Case 2
                jx = 1
            Case 3
                jx = 3
        End Select
        For ie = 1 To Nelem
            nm = NumMat(ie)
            qb = DataMat(nm, jx)
            If qb <> 0 Then
                For k = 1 To 8
                    i = NNelem(ie, k)
                    XE(k) = X(i) : YE(k) = Y(i)
                Next k
                For i = 1 To 8
                    Qq(i) = 0
                Next i
                kg = 0
                For ig = 1 To Ngaus
                    s = PosGaus(ig)
                    For jg = 1 To Ngaus
                        t = PosGaus(jg)
                        kg = kg + 1
                        Call ShapeFunc(s, t)
                        Call JacobElem(ie, kg, dj)
                        da = dj * WeightG(ig) * WeightG(jg)
                        If KindField = 3 Then
                            RIe(nm) = RIe(nm) + qb * da
                        End If
                        If Ntype = 4 Then
                            da = da * Dpai * XG(kg)
                        End If
                        For i = 1 To 8
                            Qq(i) = Qq(i) + qb * Shape(i) * da
                        Next i
                    Next jg
                Next ig
                For k = 1 To 8
                    i = NNelem(ie, k)
                    ii = Ndim * (Kcomp(i) - 1) + 1
                    Tf(Lcomp(ii)) = Tf(Lcomp(ii)) + Qq(k)
                Next k
            End If
        Next ie

        If KindField = 2 Then
            jx = 0
            For i = 1 To Nmat
                If Kmag(i) > 0 Then
                    jx = 1
                    Exit For
                End If
            Next i
            If jx > 0 Then
                For ie = 1 To Nelem
                    nm = NumMat(ie)
                    b1 = DataMat(nm, 2)
                    b2 = DataMat(nm, 3)
                    If b1 <> 0 Or b2 <> 0 Then
                        For k = 1 To 8
                            i = NNelem(ie, k)
                            XE(k) = X(i) : YE(k) = Y(i)
                        Next k
                        For i = 1 To 8
                            Qq(i) = 0
                        Next i
                        kg = 0
                        For ig = 1 To Ngaus
                            s = PosGaus(ig)
                            For jg = 1 To Ngaus
                                t = PosGaus(jg)
                                kg = kg + 1
                                Call ShapeFunc(s, t)
                                Call JacobElem(ie, kg, dj)
                                da = dj * WeightG(ig) * WeightG(jg)
                                If Ntype = 4 Then
                                    da = da * Dpai * XG(kg)
                                End If
                                For i = 1 To 8
                                    b3 = -Dx(i) * b2 + Dy(i) * b1
                                    Qq(i) = Qq(i) + b3 * da
                                Next i
                            Next jg
                        Next ig
                        For k = 1 To 8
                            i = NNelem(ie, k)
                            ii = Ndim * (Kcomp(i) - 1) + 1
                            Tf(Lcomp(ii)) = Tf(Lcomp(ii)) + Qq(k)
                        Next k
                    End If
                Next ie
            End If
        End If

    End Sub

    Private Sub RelaxCalc(ByRef tfb As Double, ByVal tfx As Double, _
        ByVal tfxx As Double)
        '緩和計算
        'tfb･･･今回値
        'tfx･･･前回値
        'tfxx･･･前々回値
        Dim b1, b3, b4 As Double
        b1 = tfb - tfx
        b3 = Math.Abs(b1)
        b4 = Math.Abs(tfx - tfxx)
        If b3 > b4 Then
            If b4 = 0 Then
                b4 = 0.2 * b3
            End If
            tfb = tfx + b1 * b4 / b3
        End If
        tfb = (tfb + 3 * tfx + tfxx) / 5

    End Sub

    Private Sub ReqTime(ByVal crate As Single, ByVal rmesh As Single, _
    ByVal b1 As Single)
        '残りの所要時間の計算
        'crate･･･調整係数
        'rmesh･･･残存ﾒｯｼｭ数
        'b1･･･計算の時間差（秒単位）
        Dim aa$, tima$
        Dim b2 As Single
        Dim gr As Graphics = PictureBox1.CreateGraphics

        tima$ = ""
        If b1 < 0 Then
            b1 = b1 + 86400
        End If
        b2 = b1 * rmesh / crate
        Call TimConv(tima$, b2)
        aa$ = "残り " & tima$
        gr.Clear(Color.White)
        gr.DrawString(aa$, New Font("ＭＳ ゴシック", 9), Brushes.Black, 1, 1)
        gr.Dispose()

    End Sub

    Private Sub ResFile1U()
        '結果ﾌｧｲﾙへの出力1
        'UTF-8･･･BOMなし
        Dim aa$, c1$, c2$

        c1$ = ""
        SwK = New IO.StreamWriter(Fy$)  '結果出力用
        SwK.WriteLine("＜＜２次元電磁界解析の計算結果＞＞")
        SwK.WriteLine(Title$)

        aa$ = "［入力データファイル］" + "," + Fm$
        SwK.WriteLine(aa$)

        Select Case KindField
            Case 0
                c1$ = "静電界"
            Case 1
                c1$ = "静磁界（電流なし）"
            Case 2
                c1$ = "静磁界（電流有り）"
            Case 3
                c1$ = "準定常電磁界（渦電流）"
        End Select
        c2$ = "［解析種類］" + c1$
        SwK.WriteLine(c2$)
        If KindField = 1 Or KindField = 2 Then
            If NKmax > 1 Then
                aa$ = "最大繰返し計算回数" + "," + Str(NKmax)
                SwK.WriteLine(aa$)
                aa$ = "収束基準誤差率" + "," + Str(EpsCalc)
                SwK.WriteLine(aa$)
            End If
            If KMenv > 0 Then
                aa$ = "環境材料番号" + "," + Str(KMenv)
                SwK.WriteLine(aa$)
            End If
        End If
        SwK.WriteLine("-----------------------------------------------")

    End Sub

    Private Sub ResFile2(ByVal mb As Integer)
        '結果ﾌｧｲﾙへの出力2
        'mb･･･ﾊﾞﾝﾄﾞ幅
        Dim aa$

        SwK.WriteLine("＊＊＊ 計算結果 ＊＊＊")
        If KindField < 3 Then
            aa$ = "計算マトリックスの変数個数、ハーフバンド幅、保存インデックス数"
        Else
            aa$ = "計算マトリックスの変数個数、フルバンド幅、保存インデックス数"
        End If
        SwK.WriteLine(aa$)
        aa$ = "   " + Str(Neff) + ",   " + Str(mb) + ",   " + Str(NumEff)
        SwK.WriteLine(aa$)

    End Sub

    Private Sub ResFile3(ByVal iter As Integer)
        '結果ﾌｧｲﾙへの出力3
        Dim aa$
        Dim ib, ip, ii As Integer
        Dim b1, b2, degpai, theta, z1, z2 As Single
        Dim zbuf(4) As Single

        aa$ = ""
        degpai = 180 / Pai
        If iter > 1 Then
            aa$ = "繰返し計算回数" + "," + Str(iter)
            SwK.WriteLine(aa$)
        End If
        SwK.WriteLine("＊＊ 節点の計算出力 ＊＊")
        If Ntype = 2 Then
            Select Case KindField
                Case 0
                    aa$ = "＜節点番号、電位、電束密度Ｄx、電束密度Ｄy、"
                    aa$ = aa$ + "全電束密度＞"
                Case 1
                    aa$ = "＜節点番号、磁位、磁束密度Ｂx、磁束密度Ｂy、"
                    aa$ = aa$ + "全磁束密度＞"
                Case 2
                    aa$ = "＜節点番号、Ａz、磁束密度Ｂx、磁束密度Ｂy、"
                    aa$ = aa$ + "全磁束密度＞"
                Case 3
                    aa$ = "＜節点番号、Ａz絶対値、Ａz複素角(°)、Ｂx絶対値,"
                    aa$ = aa$ + "Ｂy絶対値、全磁束密度＞"
            End Select
        Else
            Select Case KindField
                Case 0
                    aa$ = "＜節点番号、電位、電束密度Ｄr、電束密度Ｄz、"
                    aa$ = aa$ + "全電束密度＞"
                Case 1
                    aa$ = "＜節点番号、磁位、磁束密度Ｂr、磁束密度Ｂz、"
                    aa$ = aa$ + "全磁束密度＞"
                Case 2
                    aa$ = "＜節点番号、Ａp、磁束密度Ｂr、磁束密度Ｂz、"
                    aa$ = aa$ + "全磁束密度＞"
                Case 3
                    aa$ = "＜節点番号、Ａp絶対値、Ａp複素角(°)、Ｂr絶対値、"
                    aa$ = aa$ + "Ｂz絶対値、全磁束密度＞"
            End Select
        End If
        SwK.WriteLine(aa$)
        Select Case KindField
            Case 3
                For ip = 1 To Npoint
                    aa$ = Str$(ip)
                    ii = Kcomp(ip)
                    ib = 2 * ii - 1
                    b1 = Tf(Lcomp(ib))
                    b2 = Tf(Lcomp(ib + 1))
                    zbuf(1) = Math.Sqrt(b1 * b1 + b2 * b2)
                    aa$ = aa$ + ",  " + Str$(zbuf(1))
                    Call CompAngle(b1, b2, theta)   '複素角の計算
                    z1 = degpai * theta
                    aa$ = aa$ + ",  " + Str$(z1)
                    b1 = TUx(ii)
                    b2 = TUxb(ii)
                    z1 = Math.Sqrt(b1 * b1 + b2 * b2)
                    aa$ = aa$ + ",  " + Str$(z1)
                    zbuf(2) = z1
                    b1 = TUy(ii)
                    b2 = TUyb(ii)
                    z2 = Math.Sqrt(b1 * b1 + b2 * b2)
                    aa$ = aa$ + ",  " + Str$(z2)
                    zbuf(3) = z2
                    zbuf(4) = Math.Sqrt(z1 * z1 + z2 * z2)
                    aa$ = aa$ + ",  " + Str$(zbuf(4))
                    SwK.WriteLine(aa$)
                    For ii = 1 To 4
                        If zbuf(ii) > VarMax(ii) Then
                            VarMax(ii) = zbuf(ii)
                            KVarMax(ii) = ip
                        End If
                    Next ii
                Next ip
            Case Else
                For ip = 1 To Npoint
                    aa$ = Str$(ip)
                    ii = Kcomp(ip)
                    zbuf(1) = Tf(Lcomp(ii))
                    aa$ = aa$ + ",  " + Str$(zbuf(1))
                    zbuf(2) = TUx(ii)
                    aa$ = aa$ + ",  " + Str$(zbuf(2))
                    zbuf(3) = TUy(ii)
                    aa$ = aa$ + ",  " + Str$(zbuf(3))
                    zbuf(4) = TUA(ii)
                    aa$ = aa$ + ",  " + Str$(zbuf(4))
                    SwK.WriteLine(aa$)
                    For ii = 1 To 4
                        If Math.Abs(zbuf(ii)) > Math.Abs(VarMax(ii)) Then
                            VarMax(ii) = zbuf(ii)
                            KVarMax(ii) = ip
                        End If
                    Next ii
                Next ip
        End Select

    End Sub

    Private Sub ResFile4()
        '結果ﾌｧｲﾙへの出力4
        Dim a1$, a2$, aa$
        Dim i, ic, ii As Integer
        Dim b1, b2, b3, degpai, theta, z1 As Single

        degpai = 180 / Pai
        If Ntype = 2 Then
            a1$ = "渦Ｊz絶対値"
            aa$ = "渦Ｊz複素角(°)"
        Else
            a1$ = "渦Ｊp絶対値"
            aa$ = "渦Ｊp複素角(°)"
        End If
        SwK.WriteLine("＊＊ 渦電流密度 ＊＊")
        aa$ = "＜節点番号，" + a1$ + ", " + aa$ + "＞"
        SwK.WriteLine(aa$)
        For i = 1 To Npoint
            aa$ = Str$(i)
            ii = Kcomp(i)
            b1 = TUx(ii)
            b2 = TUy(ii)
            z1 = Math.Sqrt(b1 * b1 + b2 * b2)
            aa$ = aa$ + ",  " + Str$(z1)
            If z1 > VarMax(5) Then
                VarMax(5) = z1
                KVarMax(5) = i
            End If
            Call CompAngle(b1, b2, theta)   '複素角の計算
            z1 = degpai * theta
            aa$ = aa$ + ",  " + Str$(z1)
            SwK.WriteLine(aa$)
        Next i

        For i = 1 To Nmat
            If DataMat(i, 2) > 0 Then
                ic = 1
                Exit For
            End If
        Next i
        If ic > 0 Then
            If Ntype = 2 Then
                a1$ = "渦Ｉz絶対値"
                aa$ = "渦Ｉz複素角(°)"
                a2$ = "渦電力（単位厚さ当り）＞"
            Else
                a1$ = "渦Ｉp絶対値"
                aa$ = "渦Ｉp複素角(°)"
                a2$ = "渦電力＞"
            End If
            SwK.WriteLine("＊＊ 材料別の渦電流 ＊＊")
            aa$ = "＜材料番号，断面積, " + a1$ + ", " + aa$ + ", " + a2$
            SwK.WriteLine(aa$)
            For i = 1 To Nmat
                If DataMat(i, 2) > 0 Then
                    aa$ = Str$(i)
                    z1 = Area(i)
                    aa$ = aa$ + ",  " + Str$(z1)
                    b1 = RIe(i)
                    b2 = RIeb(i)
                    b3 = b1 * b1 + b2 * b2
                    z1 = Math.Sqrt(b3)
                    aa$ = aa$ + ",  " + Str$(z1)
                    Call CompAngle(b1, b2, theta)   '複素角の計算
                    z1 = degpai * theta
                    aa$ = aa$ + ",  " + Str$(z1)
                    z1 = WEddy(i)
                    aa$ = aa$ + ",  " + Str$(z1)
                    SwK.WriteLine(aa$)
                End If
            Next i
        End If

    End Sub

    Private Sub ResFile5()
        '結果ﾌｧｲﾙへの出力5
        Dim aa$
        Dim i, ic As Integer
        Dim b1, b2, b3, degpai, theta, z1 As Single

        degpai = 180 / Pai
        For i = 1 To Nmat
            If DataMat(i, 2) = 0 And DataMat(i, 3) <> 0 Then
                ic = 1
                Exit For
            End If
        Next i
        If ic > 0 Then
            SwK.WriteLine("＊＊ インピーダンス ＊＊")
            If Ntype = 2 Then
                SwK.WriteLine("単位厚さ当りの値を示す")
            End If
            aa$ = "＜材料番号，断面積, 負荷電流, 誘起電圧"
            aa$ = aa$ + ", インピーダンス, 複素角＞"
            SwK.WriteLine(aa$)
            For i = 1 To Nmat
                If DataMat(i, 2) = 0 And DataMat(i, 3) <> 0 Then
                    aa$ = Str$(i)
                    z1 = Area(i)
                    aa$ = aa$ + ",  " + Str$(z1)
                    z1 = RIe(i)
                    aa$ = aa$ + ",  " + Str$(z1)
                    b1 = RImp(i)
                    b2 = RImpb(i)
                    b3 = b1 * b1 + b2 * b2
                    z1 = Math.Sqrt(b3)
                    aa$ = aa$ + ",  " + Str$(z1)
                    b1 = RImp(i) / RIe(i)
                    b2 = RImpb(i) / RIe(i)
                    b3 = b1 * b1 + b2 * b2
                    z1 = Math.Sqrt(b3)
                    aa$ = aa$ + ",  " + Str$(z1)
                    Call CompAngle(b1, b2, theta)   '複素角の計算
                    z1 = degpai * theta
                    aa$ = aa$ + ",  " + Str$(z1)
                    SwK.WriteLine(aa$)
                End If
            Next i
        End If

    End Sub

    Private Sub ResFile6()
        '結果ﾌｧｲﾙへの出力6
        Dim aa$, ad$
        Dim abuf$(5)
        Dim i, imax As Integer
        ad$ = "-------------------------------------------------------"
        SwK.WriteLine(ad$)
        SwK.WriteLine("＜最大値データ＞")
        aa$ = "注）絶対値の最大。"
        SwK.WriteLine(aa$)
        CalcRes$ = "＜最大値データ＞" + Chr(13) + Chr(10) + aa$
        aa$ = "変数項目、      最大値、            節点番号"
        SwK.WriteLine(aa$)
        CalcRes$ = CalcRes$ + Chr(13) + Chr(10) + aa$
        Select Case KindField
            Case 0
                abuf$(1) = "電位"
                If Ntype < 3 Then
                    abuf$(2) = "電束密度Ｄx"
                    abuf$(3) = "電束密度Ｄy"
                Else
                    abuf$(2) = "電束密度Ｄr"
                    abuf$(3) = "電束密度Ｄz"
                End If
                abuf$(4) = "全電束密度"
            Case 1
                abuf$(1) = "磁位"
                If Ntype < 3 Then
                    abuf$(2) = "磁束密度Ｂx"
                    abuf$(3) = "磁束密度Ｂy"
                Else
                    abuf$(2) = "磁束密度Ｂr"
                    abuf$(3) = "磁束密度Ｂz"
                End If
                abuf$(4) = "全磁束密度"
            Case 2
                If Ntype < 3 Then
                    abuf$(1) = "Ａz"
                    abuf$(2) = "磁束密度Ｂx"
                    abuf$(3) = "磁束密度Ｂy"
                Else
                    abuf$(1) = "Ａp"
                    abuf$(2) = "磁束密度Ｂr"
                    abuf$(3) = "磁束密度Ｂz"
                End If
                abuf$(4) = "全磁束密度"
            Case 3
                If Ntype < 3 Then
                    abuf$(1) = "Ａz絶対値"
                    abuf$(2) = "Ｂx絶対値"
                    abuf$(3) = "Ｂy絶対値"
                    abuf$(5) = "渦Ｊz絶対値"
                Else
                    abuf$(1) = "Ａp絶対値"
                    abuf$(2) = "Ｂr絶対値"
                    abuf$(3) = "Ｂz絶対値"
                    abuf$(5) = "渦Ｊp絶対値"
                End If
                abuf$(4) = "全磁束密度"
        End Select
        If KindField < 3 Then
            imax = 4
        Else
            imax = 5
        End If
        For i = 1 To imax
            aa$ = abuf$(i) + ",  "
            aa$ = aa$ + Space$(14 - Len(aa$)) + Str$(VarMax(i)) + ",  "
            aa$ = aa$ + Space$(34 - Len(aa$)) + Str$(KVarMax(i))
            SwK.WriteLine(aa$)
            CalcRes$ = CalcRes$ + Chr(13) + Chr(10) + aa$
        Next i

    End Sub

    Private Sub RestCond(ByVal k As Integer, ByVal mb As Integer, _
        ByVal ub As Double)
        '拘束条件処理
        'k･･･変数番号
        'mb･･･ﾊｰﾌﾊﾞﾝﾄﾞ幅
        'ub･･･拘束値

        Dim it, j, k1, ka, mx As Integer
        If k > 1 Then
            ka = k - mb + 1
            If ka < 1 Then
                ka = 1
            End If
            For it = ka To k - 1
                j = k - it
                k1 = Idiag(k) - j
                If k1 > Idiag(k - 1) Then
                    If ub <> 0 Then
                        Tf(it) = Tf(it) - Tk(k1) * ub
                    End If
                    Tk(k1) = 0
                End If
            Next it
        End If
        If k < Neff Then
            mx = mb
            If k + mb - 1 > Neff Then
                mx = Neff - k + 1
            End If
            For j = 2 To mx
                k1 = Idiag(k + j - 1) - j + 1
                If k1 > Idiag(k + j - 2) Then
                    If ub <> 0 Then
                        it = k + j - 1
                        Tf(it) = Tf(it) - Tk(k1) * ub
                    End If
                    Tk(k1) = 0
                End If
            Next j
        End If
        Tk(Idiag(k)) = 1
        Tf(k) = ub

    End Sub

    Private Sub RestCondA(ByVal k As Integer, ByVal mh As Integer, _
    ByVal ub As Double)
        '拘束条件処理（ﾌﾙﾊﾞﾝﾄﾞ）
        'k･･･変数番号
        'mh･･･ﾊｰﾌﾊﾞﾝﾄﾞ幅
        'ub･･･拘束値

        Dim it, k2, kb, kbx, m As Integer

        For it = k - NumDiag(k) + 1 To k
            kb = Idiag(k) + it - k
            If it = k Then
                Tk(kb) = 1
            Else
                kbx = Idiag(k) + k - it
                If ub <> 0 Then
                    Tf(it) = Tf(it) - Tk(kbx) * ub
                End If
                Tk(kbx) = 0
                Tk(kb) = 0
            End If
        Next it

        If k < Neff Then
            k2 = k + mh - 1
            If k2 > Neff Then
                k2 = Neff
            End If
            For it = k + 1 To k2
                m = it - k
                If m < NumDiag(it) Then
                    kb = Idiag(it) + m
                    kbx = Idiag(it) - m
                    If ub <> 0 Then
                        Tf(it) = Tf(it) - Tk(kbx) * ub
                    End If
                    Tk(kbx) = 0
                    Tk(kb) = 0
                End If
            Next it
        End If

        Tf(k) = ub

    End Sub

    Private Sub RestRTreat(ByRef nbuf() As Integer)
        '軸対称体の中心節点の非拘束処理
        'nbuf()･･･境界節点の自動固定区分（0:なし、1:有り）
        Dim ip As Integer
        Dim eps, rmax As Single
        Call RMaxCalc(rmax)     'R最大値の計算
        eps = 0.000001 * rmax
        For ip = 1 To Npoint
            If Math.Abs(X(ip)) < eps Then
                nbuf(ip) = 0
            End If
        Next ip
    End Sub

    Private Sub RMaxCalc(ByRef rmax As Single)
        'R最大値の計算
        Dim i, ie, j As Integer
        Dim b1 As Single
        rmax = 0
        For ie = 1 To Nelem
            For j = 1 To 8
                i = NNelem(ie, j)
                b1 = Math.Abs(X(i))
                If b1 > rmax Then
                    rmax = b1
                End If
            Next j
        Next ie

    End Sub

    Private Sub ShapeFunc(ByVal s As Double, ByVal t As Double)
        '形状関数の計算
        's･･･要素のξ座標
        't･･･要素のη座標
        Dim b1, b2, b3, s2, ss, st, t2, tt As Double
        s2 = s * 2 : t2 = t * 2
        ss = s * s : tt = t * t : st = s * t
        b1 = ss * t : b2 = s * tt : b3 = st * 2
        Shape(1) = (-1 + st + ss + tt - b1 - b2) / 4
        Shape(2) = (1 - t - ss + b1) / 2
        Shape(3) = (-1 - st + ss + tt - b1 + b2) / 4
        Shape(4) = (1 + s - tt - b2) / 2
        Shape(5) = (-1 + st + ss + tt + b1 + b2) / 4
        Shape(6) = (1 + t - ss - b1) / 2
        Shape(7) = (-1 - st + ss + tt + b1 - b2) / 4
        Shape(8) = (1 - s - tt + b2) / 2
        Ds(1) = (t + s2 - b3 - tt) / 4
        Ds(2) = -s + st
        Ds(3) = (-t + s2 - b3 + tt) / 4
        Ds(4) = (1 - tt) / 2
        Ds(5) = (t + s2 + b3 + tt) / 4
        Ds(6) = -s - st
        Ds(7) = (-t + s2 + b3 - tt) / 4
        Ds(8) = (-1 + tt) / 2
        Dt(1) = (s + t2 - ss - b3) / 4
        Dt(2) = (-1 + ss) / 2
        Dt(3) = (-s + t2 - ss + b3) / 4
        Dt(4) = -t - st
        Dt(5) = (s + t2 + ss + b3) / 4
        Dt(6) = (1 - ss) / 2
        Dt(7) = (-s + t2 + ss - b3) / 4
        Dt(8) = -t + st
    End Sub

    Private Sub ShellSort2(ByVal kind As Integer, ByRef kcbuf() As Integer, _
    ByVal xbuf() As Single, ByVal ybuf() As Single)
        'ｼｪﾙｿｰﾄ
        'kind･･･主ｿｰﾄの座標軸番号（1:X軸、2:Y軸）
        'kcbuf()･･･元の節点の変数順序
        'xbuf(),ybuf()･･･節点の座標
        Dim i As Integer
        Dim nsort(Npoint) As Integer
        Dim work(Npoint) As Single

        Select Case kind
            Case 1
                For i = 1 To Npoint
                    nsort(i) = i
                    work(i) = xbuf(i)
                Next i
            Case 2
                For i = 1 To Npoint
                    nsort(i) = i
                    work(i) = ybuf(i)
                Next i
        End Select

        Call ShellSortStd(Npoint, nsort, work)    'ｼｪｯﾙｿｰﾄ基本

        Call MiniSort2(kind, nsort, work, xbuf, ybuf)    'ﾐﾆｿｰﾄ

        For i = 1 To Npoint
            kcbuf(nsort(i)) = i
        Next i

    End Sub

    Private Sub ShellSortStd(ByVal nx As Integer, ByRef nsort() As Integer, ByRef work() As Single)
        'ｼｪﾙｿｰﾄ基本
        'nx･･･変数の数
        'nsort()･･ｿｰﾄ順の元変数の番号
        'work()･･･ｿｰﾄ順の変数値
        Dim i, ib, j, m As Integer
        Dim varb As Single

        m = nx
        Do While m > 1
            m = m \ 2
            For j = m + 1 To nx
                varb = work(j)
                ib = nsort(j)
                i = j - m
                Do While work(i) >= varb
                    work(i + m) = work(i)
                    nsort(i + m) = nsort(i)
                    i = i - m
                    If i <= 0 Then
                        Exit Do
                    End If
                Loop
                work(i + m) = varb
                nsort(i + m) = ib
            Next j
        Loop

    End Sub

    Private Sub SideJacob(ByVal ig As Integer, ByRef dj As Double)
        '辺のﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽ成分の計算
        'ig･･･ｶﾞｳｽ点番号
        'dj･･･ﾔｺﾋﾞｱﾝ ﾏﾄﾘｯｸｽ値
        Dim i As Integer
        Dim b1, b2, s, s2, ss, xb As Double
        s = PosGaus(ig)
        s2 = s * 2 : ss = s * s
        Shape(1) = (-s + ss) / 2
        Shape(2) = 1 - ss
        Shape(3) = (s + ss) / 2
        Ds(1) = (-1 + s2) / 2
        Ds(2) = -s2
        Ds(3) = (1 + s2) / 2
        xb = 0 : b1 = 0 : b2 = 0
        For i = 1 To 3
            xb = xb + XE(i) * Shape(i)
            b1 = b1 + Ds(i) * XE(i)
            b2 = b2 + Ds(i) * YE(i)
        Next i
        dj = Math.Sqrt(b1 ^ 2 + b2 ^ 2) * WeightG(ig)
        If Ntype = 4 Then
            dj = dj * Dpai * xb
        End If

    End Sub

    Private Sub SideMagForce2(ByVal ie As Integer, ByVal k As Integer, _
    ByVal rmyu0 As Single, ByRef fx As Double, ByRef fy As Double)
        '要素辺の磁気力2
        'ie･･･要素番号
        'k･･･辺番号
        'rmyu0･･･真空の透磁率
        'fx,fy･･･X,Y軸またはR,Z軸方向の力
        Dim i, ib, ig, j, kb As Integer
        Dim b0, b1, b2, rlen As Single
        Dim dj As Double
        Dim kbuf(3) As Integer
        Dim buf(2), bufx(3), bufy(3), rn(2), tensor(2, 2) As Double

        ib = 2 * (k - 1)
        For i = 1 To 3
            kbuf(i) = ib + i
        Next i
        If k = 4 Then
            kbuf(3) = 1
        End If
        For i = 1 To 3
            j = NNelem(ie, kbuf(i))
            XE(i) = X(j)
            YE(i) = Y(j)
            kb = Kcomp(j)
            bufx(i) = TUx(kb)
            bufy(i) = TUy(kb)
        Next i

        For ig = 1 To Ngaus
            Call SideJacob(ig, dj)      '辺のＪＡＣＯＢ

            '応力ﾃﾝｿﾙ
            b1 = 0 : b2 = 0
            For i = 1 To 3
                b1 = b1 + Shape(i) * bufx(i)
                b2 = b2 + Shape(i) * bufy(i)
            Next i
            b0 = 0.5 * (b1 * b1 + b2 * b2)
            tensor(1, 1) = (b1 * b1 - b0) / rmyu0
            tensor(1, 2) = b1 * b2 / rmyu0
            tensor(2, 1) = tensor(1, 2)
            tensor(2, 2) = (b2 * b2 - b0) / rmyu0

            '法線の方向余弦
            Select Case ig
                Case 1
                    b1 = XE(2) - XE(1)
                    b2 = YE(2) - YE(1)
                Case 2
                    b1 = XE(3) - XE(1)
                    b2 = YE(3) - YE(1)
                Case 3
                    b1 = XE(3) - XE(2)
                    b2 = YE(3) - YE(2)
            End Select
            rlen = Math.Sqrt(b1 * b1 + b2 * b2)
            rn(1) = b2 / rlen
            rn(2) = -b1 / rlen

            '辺のｶﾞｳｽ点積分
            For i = 1 To 2
                buf(i) = 0
                For j = 1 To 2
                    buf(i) = buf(i) + tensor(i, j) * rn(j)
                Next j
            Next i
            fx = fx + buf(1) * dj
            fy = fy + buf(2) * dj
        Next ig

    End Sub

    Private Sub Solver1(ByVal nx As Integer)
        'ｽｶｲﾗｲﾝ法のｿﾙﾊﾞｰ1（LDL分解）
        'nx･･･変数の数
        Dim aa$, timn$
        Dim i, i0, icount, ii, ij, ik, jk, j, j0, jj, jm1 As Integer
        Dim k, kdiv, kk, mi, mij, mj As Integer
        Dim crate, dn, fw0, fwx, riter, rmesh, rsec1, rsec2 As Single
        Dim sum As Double
        Dim gr As Graphics = PictureBox2.CreateGraphics
        Dim fnt As Font = New Font("ＭＳ ゴシック", 9)
        Dim myBrush As Brush = New SolidBrush(Color.Black)

        timn$ = ""
        rmesh = 0.8
        dn = nx / 10.0 - 0.001
        riter = dn
        kdiv = 0
        Dim timenew As Date = Now
        rsec1 = TimeLap(Timst, timenew)
        Application.DoEvents()
        icount = 0

        timn$ = ""
        aa$ = "ｿﾙﾊﾞｰ1 計算中   "
        Call TimCal(1, timn$)
        aa$ = aa$ + timn$
        gr.Clear(Color.White)
        gr.DrawString(aa$, fnt, myBrush, 1, 1)
        For i = 2 To nx
            i0 = Idiag(i) - i
            mi = Idiag(i - 1) - i0 + 1
            For j = mi To i
                sum = 0
                j0 = Idiag(j) - j
                mj = 1
                If j > 1 Then
                    mj = Idiag(j - 1) - j0 + 1
                End If
                mij = mi
                If mj > mi Then
                    mij = mj
                End If
                ij = i0 + j
                jm1 = j - 1
                For k = mij To jm1
                    If mij <= jm1 Then
                        ik = i0 + k
                        kk = Idiag(k)
                        jk = j0 + k
                        sum = sum + Tk(ik) * Tk(kk) * Tk(jk)
                    End If
                Next k
                If j = i Then
                    ii = i0 + i
                    Tk(ii) = Tk(ii) - sum
                Else
                    jj = Idiag(j)
                    Tk(ij) = (Tk(ij) - sum) / Tk(jj)
                End If
            Next j
            riter = riter - 1
            If riter <= 0 Then
                aa$ = "ｿﾙﾊﾞｰ1  k=" + Str$(k) + "  "
                Call TimCal(1, timn$)
                aa$ = aa$ + timn$
                gr.Clear(Color.White)
                gr.DrawString(aa$, fnt, myBrush, 1, 1)
                If NKmax = 1 Then
                    rmesh = rmesh - 0.06
                    crate = 1 - rmesh
                    fw0 = Fw1
                    fwx = rmesh * Fw1 + crate * Fw2
                    ProgressBar1.Value = 100 * fwx / Fw2
                    If kdiv > 0 And kdiv < 9 Then
                        Dim timenew1 As Date = Now
                        rsec2 = TimeLap(Timst, timenew1)
                        rsec2 = rsec2 - rsec1
                        Call ReqTime(crate - 0.23, rmesh, rsec2)
                        '残りの所要時間の計算
                    End If
                End If
                kdiv = kdiv + 1
                riter = dn
            End If
            If icount < 999 Then
                icount = icount + 1
            Else
                Application.DoEvents()
                icount = 0
            End If
        Next i

        gr.Dispose()

    End Sub

    Private Sub Solver1A(ByVal mh As Integer, ByVal nx As Integer)
        'ﾌﾙﾊﾞﾝﾄﾞﾏﾄﾘｯｸｽのｿﾙﾊﾞｰ1A（LU分解）
        'mh･･･ﾊｰﾌﾊﾞﾝﾄﾞ幅
        'nx･･･変数の数
        Dim aa$, timn$
        Dim i, icount, ij, ik, j, j1, j2, k, k1, kdiv, kj, kk, m, m1, m2 As Integer
        Dim crate, dn, fw0, fwx, riter, rmesh, rsec1, rsec2 As Single
        Dim b1, b2, eps As Double
        Dim gr As Graphics = PictureBox2.CreateGraphics
        Dim fnt As Font = New Font("ＭＳ ゴシック", 9)
        Dim myBrush As Brush = New SolidBrush(Color.Black)

        timn$ = ""
        rmesh = 0.8
        dn = nx / 10.0 - 0.001
        riter = dn
        kdiv = 0
        Dim timenew As Date = Now
        rsec1 = TimeLap(Timst, timenew)
        Application.DoEvents()
        icount = 0

        timn$ = ""
        aa$ = "ｿﾙﾊﾞｰ1A 計算中   "
        Call TimCal(1, timn$)
        aa$ = aa$ + timn$
        gr.Clear(Color.White)
        gr.DrawString(aa$, fnt, myBrush, 1, 1)

        eps = 1.0E-32
        For j = 2 To mh
            m = j - 1
            If m < NumDiag(j) Then
                ij = Idiag(j) + m
                Tk(ij) = Tk(ij) / Tk(1)
            End If
        Next j
        For kk = 2 To nx
            j = kk
            j2 = j + mh - 1
            If j2 > nx Then
                j2 = nx
            End If
            For i = j To j2
                m = i - j
                If m < NumDiag(i) Then
                    ij = Idiag(i) - m
                    k1 = i - mh + 1
                    If k1 < 1 Then
                        k1 = 1
                    End If
                    b2 = 0
                    For k = k1 To j - 1
                        m1 = i - k
                        If m1 < NumDiag(i) Then
                            ik = Idiag(i) - m1
                            m2 = j - k
                            If m2 < NumDiag(j) Then
                                kj = Idiag(j) + m2
                                b2 = b2 + Tk(ik) * Tk(kj)
                            End If
                        End If
                    Next k
                    Tk(ij) = Tk(ij) - b2
                End If
            Next i

            i = kk
            b1 = Tk(Idiag(i))
            If Math.Abs(b1) < eps Then
                aa$ = "ｿﾙﾊﾞｰ1Aでﾋﾟﾎﾞｯﾄが0になりました！"
                MsgBox(aa$, 0, "計算エラー")
                End
            End If
            j2 = i + mh - 1
            If j2 > nx Then
                j2 = nx
            End If
            For j = i + 1 To j2
                m = j - i
                If m < NumDiag(j) Then
                    ij = Idiag(j) + m
                    j1 = j - mh + 1
                    If j1 < 1 Then
                        j1 = 1
                    End If
                    b2 = 0
                    For k = j1 To i - 1
                        m1 = i - k
                        If m1 < NumDiag(i) Then
                            ik = Idiag(i) - m1
                            m2 = j - k
                            If m2 < NumDiag(j) Then
                                kj = Idiag(j) + m2
                                b2 = b2 + Tk(ik) * Tk(kj)
                            End If
                        End If
                    Next k
                    Tk(ij) = (Tk(ij) - b2) / b1
                End If
            Next j
            riter = riter - 1
            If riter <= 0 Then
                aa$ = "ｿﾙﾊﾞｰ1A  k=" + Str$(k) + "  "
                Call TimCal(1, timn$)
                aa$ = aa$ + timn$
                gr.Clear(Color.White)
                gr.DrawString(aa$, fnt, myBrush, 1, 1)
                If NKmax = 1 Then
                    rmesh = rmesh - 0.06
                    crate = 1 - rmesh
                    fw0 = Fw1
                    fwx = rmesh * Fw1 + crate * Fw2
                    ProgressBar1.Value = 100 * fwx / Fw2
                    If kdiv > 0 And kdiv < 9 Then
                        Dim timenew1 As Date = Now
                        rsec2 = TimeLap(Timst, timenew1)
                        rsec2 = rsec2 - rsec1
                        Call ReqTime(crate - 0.23, rmesh, rsec2)
                        '残りの所要時間の計算
                    End If
                End If
                kdiv = kdiv + 1
                riter = dn
            End If
            If icount < 999 Then
                icount = icount + 1
            Else
                Application.DoEvents()
                icount = 0
            End If
        Next kk

        gr.Dispose()

    End Sub

    Private Sub Solver2(ByVal mh As Integer, ByVal nx As Integer)
        'ｽｶｲﾗｲﾝ法のｿﾙﾊﾞｰ2（前進・後退処理）
        'mh･･･ﾊｰﾌﾊﾞﾝﾄﾞ幅
        'nx･･･変数の数
        Dim aa$, timn$
        Dim i, i0, i1, j, j0, j1, j2, j3, k As Integer
        Dim sum As Double
        Dim gr As Graphics = PictureBox2.CreateGraphics
        Dim fnt As Font = New Font("ＭＳ ゴシック", 9)
        Dim myBrush As Brush = New SolidBrush(Color.Black)

        timn$ = ""
        aa$ = "ｿﾙﾊﾞｰ2 計算中   "
        Call TimCal(1, timn$)
        aa$ = aa$ + timn$
        gr.Clear(Color.White)
        gr.DrawString(aa$, fnt, myBrush, 1, 1)

        Application.DoEvents()
        For i = 2 To nx
            sum = 0
            i0 = Idiag(i) - i
            j1 = Idiag(i - 1) - i0 + 1
            j2 = i - 1
            If j1 <> i Then
                For j = j1 To j2
                    j0 = i0 + j
                    sum = sum + Tk(j0) * Tf(j)
                Next j
            End If
            Tf(i) = Tf(i) - sum
        Next i
        For i = 1 To nx
            i1 = Idiag(i)
            If Tk(i1) <= 0 Then
                aa$ = "ｿﾙﾊﾞｰ2でﾋﾟﾎﾞｯﾄが0以下になりました！"
                MsgBox(aa$, 0, "計算エラー")
                End
            End If
            Tf(i) = Tf(i) / Tk(i1)
        Next i

        For k = nx - 1 To 1 Step -1
            j1 = k + 1
            j2 = j1 + mh - 1
            If j2 > nx Then
                j2 = nx
            End If
            sum = 0
            For j = j1 To j2
                j3 = Idiag(j - 1) - Idiag(j) + j + 1
                If j3 <= k Then
                    j0 = Idiag(j) - j + k
                    sum = sum + Tk(j0) * Tf(j)
                End If
            Next j
            Tf(k) = Tf(k) - sum
        Next k

        gr.Dispose()

    End Sub

    Private Sub Solver2A(ByVal mh As Integer, ByVal nx As Integer)
        'ﾌﾙﾊﾞﾝﾄﾞﾏﾄﾘｯｸｽのｿﾙﾊﾞｰ2A（前進・後退処理）
        'mh･･･ﾊｰﾌﾊﾞﾝﾄﾞ幅
        'nx･･･変数の数
        Dim aa$, timn$
        Dim i, ik, k, k1, k2, m As Integer
        Dim b1, eps As Double
        Dim gr As Graphics = PictureBox2.CreateGraphics
        Dim fnt As Font = New Font("ＭＳ ゴシック", 9)
        Dim myBrush As Brush = New SolidBrush(Color.Black)

        timn$ = ""
        aa$ = "ｿﾙﾊﾞｰ2A 計算中   "
        Call TimCal(1, timn$)
        aa$ = aa$ + timn$
        gr.Clear(Color.White)
        gr.DrawString(aa$, fnt, myBrush, 1, 1)

        Application.DoEvents()
        '前進処理
        eps = 1.0E-32
        Tf(1) = Tf(1) / Tk(1)
        For i = 2 To nx
            k1 = i - mh + 1
            If k1 < 1 Then
                k1 = 1
            End If
            For k = k1 To i - 1
                m = i - k
                If m < NumDiag(i) Then
                    ik = Idiag(i) - m
                    Tf(i) = Tf(i) - Tk(ik) * Tf(k)
                End If
            Next k
            b1 = Tk(Idiag(i))
            If Math.Abs(b1) < eps Then
                aa$ = "ｿﾙﾊﾞｰ2Aでﾋﾟﾎﾞｯﾄが0になりました！"
                MsgBox(aa$, 0, "計算エラー")
                End
            End If
            Tf(i) = Tf(i) / b1
        Next i

        '後退処理
        For i = nx - 1 To 1 Step -1
            k2 = i + mh - 1
            If k2 > nx Then
                k2 = nx
            End If
            For k = i + 1 To k2
                m = k - i
                If m < NumDiag(k) Then
                    ik = Idiag(k) + m
                    Tf(i) = Tf(i) - Tk(ik) * Tf(k)
                End If
            Next k
        Next i

        gr.Dispose()

    End Sub

    Private Sub StateCalc(ByVal kmat As Integer, ByRef coeff As Single, _
    ByVal tempb As Double)
        '物性状態の計算
        'kmat･･･材料番号
        'kdiv･･･物性区分番号
        'coeff･･･係数値
        'tempb･･･現在値
        Dim aa$
        Dim i, icc As Integer
        Dim b1, b2, b3 As Single
        If NMdiv(kmat) = 0 Then
            coeff = Rmyu(kmat, 0)
        Else
            For i = 1 To NMdiv(kmat)
                If tempb <= BMat(kmat, i) Then
                    b1 = BMat(kmat, i) - BMat(kmat, i - 1)
                    If b1 = 0 Then
                        coeff = Rmyu(kmat, i - 1)
                    Else
                        b2 = Rmyu(kmat, i) - Rmyu(kmat, i - 1)
                        b3 = (tempb - BMat(kmat, i - 1)) * b2 / b1
                        coeff = Rmyu(kmat, i - 1) + b3
                    End If
                    icc = 1
                    Exit For
                End If
            Next i
            If icc = 0 Then
                aa$ = "材料番号" + Str$(kmat) + "の物性区分をオーバーしました！"
                MsgBox(aa$, 0, "計算エラー")
                End
            End If
        End If
    End Sub

    Private Sub Store()
        '全体ﾏﾄﾘｯｸｽへの蓄積
        Dim i, ib, it, j, jt, k As Integer
        For i = 1 To Nvar
            If NPrefer(i) > 0 Then
                For j = i To Nvar
                    jt = NPrefer(j)
                    If jt > 0 Then
                        it = NPrefer(i)
                        If it > jt Then
                            ib = it
                            it = jt
                            jt = ib
                        End If
                        k = Idiag(jt) - jt + it
                        Tk(k) = Tk(k) + Ek(i, j)
                    End If
                Next j
            End If
        Next i

    End Sub

    Private Sub StoreA(ByVal mh As Integer)
        '全体ﾏﾄﾘｯｸｽへの蓄積（ﾌﾙﾊﾞﾝﾄﾞ用）
        'mh･･･ﾊｰﾌﾊﾞﾝﾄﾞ幅
        Dim i, it, j, jt, kb As Integer
        For i = 1 To Nvar
            it = NPrefer(i)
            If it > 0 Then
                For j = 1 To Nvar
                    jt = NPrefer(j)
                    If jt > 0 Then
                        If it >= jt Then
                            kb = Idiag(it) - (it - jt)
                        Else
                            kb = Idiag(jt) + jt - it
                        End If
                        Tk(kb) = Tk(kb) + Ek(i, j)
                    End If
                Next j
            End If
        Next i

    End Sub


    Private Sub TimConv(ByRef tima$, ByVal rsec As Single)
        '秒数から時分秒への換算
        'tima$･･･時分秒表示の時間
        'rsec･･･秒単位の時間
        Dim rhour, rmin As Single
        rhour = Int(rsec / 3600)
        rsec = rsec - rhour * 3600
        rmin = Int(rsec / 60)
        rsec = CInt(rsec + 1 - rmin * 60)
        tima$ = Str$(rhour) + "h" + Str$(rmin) + "min" + Str$(rsec) + "s"

    End Sub

    Private Function TimeLap(ByVal date1 As Date, ByVal date2 As Date) As Single
        '経過時間の計算（1日以内）
        'date1･･･開始時刻
        'date2･･･終了時刻
        Dim sec1, sec2 As Single
        If date1.Date <> date2.Date Then
            sec2 = 3600 * 24
        End If
        sec1 = 3600 * date1.Hour + 60 * date1.Minute + date1.Second
        sec1 = sec1 + 0.001 * date1.Millisecond
        sec2 = sec2 + 3600 * date2.Hour + 60 * date2.Minute + date2.Second
        sec2 = sec2 + 0.001 * date2.Millisecond
        TimeLap = sec2 - sec1

    End Function

    Private Sub VectorCalc()
        'ﾍﾞｸﾄﾙ計算
        Dim i, icount, ie As Integer
        ReDim TUx(Npoint), TUy(Npoint)

        If KindField = 3 Then
            ReDim TUxb(Npoint), TUyb(Npoint)
        End If
        Tf(0) = 0
        Application.DoEvents()
        icount = 0
        If Ntype = 2 Or KindField < 2 Then
            For ie = 1 To Nelem
                Call ElemMatrixV(ie)    '要素ﾏﾄﾘｯｸｽの計算V
                If icount < 99 Then
                    icount = icount + 1
                Else
                    Application.DoEvents()
                    icount = 0
                End If
            Next ie
        Else
            For ie = 1 To Nelem
                Call ElemMatrixVR(ie)   '要素ﾏﾄﾘｯｸｽの計算VR
                If icount < 99 Then
                    icount = icount + 1
                Else
                    Application.DoEvents()
                    icount = 0
                End If
            Next ie
        End If
        For i = 1 To Npoint
            TUx(i) = TUx(i) / Nw(i)
            TUy(i) = TUy(i) / Nw(i)
            TUA(i) = Math.Sqrt(TUx(i) * TUx(i) + TUy(i) * TUy(i))
        Next i
        If KindField = 3 Then
            For i = 1 To Npoint
                TUxb(i) = TUxb(i) / Nw(i)
                TUyb(i) = TUyb(i) / Nw(i)
            Next i
        End If

    End Sub

    Private Sub ElMa2DCal3_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim aa$, err$, timn$
        Dim i, ib, icc, iconv, icount, ie, ii, iter As Integer
        Dim k, mb, mbx, mx As Integer
        Dim rmesh, rmeshb, rmeshsum, sec As Single
        Dim bb, bba, bbx, tfb, tfx, tfxx, ub As Double
        Dim gr As Graphics = PictureBox2.CreateGraphics
        Dim fnt As Font = New Font("ＭＳ ゴシック", 9)
        Dim myBrush As Brush = New SolidBrush(Color.Black)

        Me.Show()

        timn$ = ""
        Call TimCal(0, timn$)

        Label1.Text = "計算実施中！"
        Label2.Text = "しばらくお待ちください。"
        Label3.Text = ""
        Me.Refresh()

        Fw1 = 0 : Fw2 = 100
        rmeshsum = NKmax

        Call ResFile1U()     '結果ﾌｧｲﾙへの出力1

        aa$ = "初期設定処理  "
        Call TimCal(1, timn$)
        aa$ = aa$ + timn$
        gr.Clear(Color.White)
        gr.DrawString(aa$, fnt, myBrush, 1, 1)

        Call GausSet()  'ｶﾞｳｽ点の設定

        Dim xbuf(Npoint), ybuf(Npoint) As Single
        Call AxisValueTreat(xbuf, ybuf)   '座標値の端数処理
        ReDim Kcomp(Npoint), KRcomp(Npoint)
        For i = 1 To Npoint
            Kcomp(i) = i
        Next i
        Call BandWidth2(mbx, Kcomp)  'ﾊﾞﾝﾄﾞ幅の計算
        Call PnumImproveNew(mb, mbx, xbuf, ybuf)  '節点順序の改良
        Application.DoEvents()

        Call InitialSet1()  '初期設定
        Call TrSet()  'ｶﾞｳｽ点・節点への変換ﾏﾄﾘｯｸｽ設定

        Call BandWidth(mb)  'ﾊﾞﾝﾄﾞ幅の計算

        ReDim Idiag(Neff), NumDiag(Neff)

        If KindField < 3 Then
            mx = mb
            Call InitialSet2(mb)  '初期設定2
        Else
            mx = 2 * mb - 1
            Call InitialSet2A(mb)  '初期設定2A
        End If

        Call ResFile2(mx)   '結果ﾌｧｲﾙへの出力2

        icc = 0 : iconv = 0 : iter = 1
        Do
            '進行表示
            If NKmax = 1 Then
                aa$ = "要素計算中"
            Else
                aa$ = "iter=" + Str$(iter) + " 要素計算"
            End If
            Call TimCal(1, timn$)
            aa$ = aa$ + "   " + timn$
            gr.Clear(Color.White)
            gr.DrawString(aa$, fnt, myBrush, 1, 1)
            If iter > 1 Then
                rmesh = rmesh + 0.2
                ProgressBar1.Value = 100 * rmesh / rmeshsum
                Dim time1 As Date = Now
                sec = TimeLap(Timst, time1)
                rmeshb = rmeshsum - rmesh
                Call ReqTime(rmesh, rmeshb, sec)   '残りの所要時間の計算
            End If

            If Nflux > 0 Then
                Call FluxSet()  '流束の節点への換算
            End If

            If NelecP > 0 Then
                Call QelecSet() '節点負荷の計算
            End If

            If KindField <> 1 Then
                Call QintSet()      '内部負荷の計算
            End If

            Application.DoEvents()
            icount = 0
            For ie = 1 To Nelem
                If KindField < 3 Then
                    Call ElemMatrix(ie, iter)   '要素ﾏﾄﾘｯｸｽの計算
                    Call Store()       '全体ﾏﾄﾘｯｸｽへの蓄積
                Else
                    Call ElemMatrixC(ie)   '要素ﾏﾄﾘｯｸｽの計算C
                    Call StoreA(mb)        '全体ﾏﾄﾘｯｸｽへの蓄積A
                End If
                If icount < 99 Then
                    icount = icount + 1
                Else
                    Application.DoEvents()
                    icount = 0
                End If
            Next ie

            '進行表示
            If NKmax = 1 Then
                aa$ = "ｿﾙﾊﾞｰ計算中"
            Else
                aa$ = "iter=" + Str$(iter) + " ｿﾙﾊﾞｰ計算"
            End If
            Call TimCal(1, timn$)
            aa$ = aa$ + "   " + timn$
            gr.Clear(Color.White)
            gr.DrawString(aa$, fnt, myBrush, 1, 1)
            rmesh = rmesh + 0.2
            ProgressBar1.Value = 100 * rmesh / rmeshsum
            If NKmax > 1 Then
                Dim timenew1 As Date = Now
                sec = TimeLap(Timst, timenew1)
                rmeshb = rmeshsum - rmesh
                Call ReqTime(rmesh, rmeshb, sec)   '残りの所要時間の計算
            End If

            If Nbound > 0 Then
                For ib = 1 To Nbound
                    If Jrest(ib) > 0 Then
                        ii = Kcomp(Nrest(ib))
                        ub = Vrest(ib)
                        If ub <> 0 Then
                            If KindField < 3 Then
                                Call RestCond(Lcomp(ii), mb, ub)
                                '拘束条件処理
                            Else
                                k = Ndim * (ii - 1) + 1
                                Call RestCondA(Lcomp(k), mb, ub)
                                '拘束条件処理（ﾌﾙﾊﾞﾝﾄﾞ）
                            End If
                        End If
                    End If
                Next ib
            End If

            If KindField < 3 Then
                Call Solver1(Neff)   'ｽｶｲﾗｲﾝ法のｿﾙﾊﾞｰ1（LDL分解）
                Call Solver2(mb, Neff)   'ｽｶｲﾗｲﾝ法のｿﾙﾊﾞｰ2（前進・後退処理）
            Else
                Call Solver1A(mb, Neff)  'ﾌﾙﾊﾞﾝﾄﾞﾏﾄﾘｯｸｽのｿﾙﾊﾞｰ1A（LU分解）
                Call Solver2A(mb, Neff)  'ﾌﾙﾊﾞﾝﾄﾞﾏﾄﾘｯｸｽのｿﾙﾊﾞｰ2A（前進・後退処理）
            End If

            '進行表示
            If NKmax = 1 Then
                aa$ = "後計算中"
            Else
                aa$ = "iter=" + Str$(iter) + " 後計算"
            End If
            Call TimCal(1, timn$)
            aa$ = aa$ + "   " + timn$
            gr.Clear(Color.White)
            gr.DrawString(aa$, fnt, myBrush, 1, 1)
            rmesh = rmesh + 0.6
            ProgressBar1.Value = 100 * rmesh / rmeshsum
            Dim timenew As Date = Now
            sec = TimeLap(Timst, timenew)
            rmeshb = rmeshsum - rmesh
            Call ReqTime(rmesh, rmeshb, sec)   '残りの所要時間の計算

            Call VectorCalc()   'ﾍﾞｸﾄﾙ計算

            If iter = NKmax Then
                icc = 1
                If NKmax = 1 Then
                    iconv = 1
                End If
            Else
                Call FluctCheck(bb, bba)   '解の発散ﾁｪｯｸ
                If iter > 1 Then
                    If bba >= bb Then
                        iconv = 1
                        icc = 1
                    ElseIf iter > 2 Then
                        If bbx > bb * 0.1 And bb > 5 * bbx Then '解の発散により計算中止
                            icc = 1
                        End If
                    End If
                    If bb > bbx Then
                        For i = 1 To Neff
                            tfb = Tf(i)
                            tfx = TfOld(i)
                            tfxx = TfOldx(i)
                            Call RelaxCalc(tfb, tfx, tfxx) '緩和計算
                            Tf(i) = tfb
                        Next i
                        Call FluctCheck(bb, bba)   '速度の発散ﾁｪｯｸ
                        Call VectorCalc()   'ﾍﾞｸﾄﾙ計算
                    End If
                End If
                If icc = 0 Then
                    bbx = bb
                    For i = 1 To Neff
                        TfOldx(i) = TfOld(i)
                        TfOld(i) = Tf(i)
                        Tf(i) = 0
                    Next i
                    For i = 1 To NumEff
                        Tk(i) = 0
                    Next i
                    iter = iter + 1
                End If
            End If
        Loop Until icc > 0

        Application.DoEvents()
        err$ = ""
        If iconv > 0 Then
            Call ResFile3(iter)     '結果ﾌｧｲﾙへの出力3
            Select Case KindField
                Case 0
                    If NelecP > 0 Then
                        Call ElecForce()    'ｸ-ﾛﾝ力の計算
                    End If
                    Call ElecForce2()    '電荷部のｸ-ﾛﾝ力の計算
                Case 1
                    If KMenv > 0 And NMdivMax > 0 Then
                        Call MagForce2()    '磁気力の計算2
                    End If
                Case 2
                    Call ForceCalc()    '力の計算
                    If KMenv > 0 And NMdivMax > 0 Then
                        Call MagForce2()    '磁気力の計算2
                    End If
                Case 3
                    Call EddyCurrent()  '渦電流の計算
                    Call ResFile4()     '結果ﾌｧｲﾙへの出力4
                    Call Impedance()    'ｲﾝﾋﾟｰﾀﾞﾝｽの計算
                    Call ResFile5()     '結果ﾌｧｲﾙへの出力5
            End Select
            Call ResFile6()         '結果ﾌｧｲﾙへの出力6
        Else
            err$ = "解が収束しませんでした！"
            SwK.WriteLine(err$)
        End If

        '進行表示
        ProgressBar1.Value = 100

        Call TimCal(1, timn$)
        aa$ = "END   " & timn$
        SwK.WriteLine(aa$)
        SwK.Close()

        Label1.Text = "計算終了！"
        Label2.Text = "計算結果をファイルへ出力しました。"
        Label3.Text = aa$
        If iconv > 0 Then
            aa$ = "計算が終了しました。"
            aa$ = aa$ + Chr(13) + Chr(10) + CalcRes$
        Else
            aa$ = err$
        End If
        Me.BringToFront()
        MsgBox(aa$, 0, "計算確認")

        gr.Dispose()

        Me.Close()

    End Sub
End Class
